var isAlreadyLoadcbxx = false;
$("#cbxx").on("pageshow", function(event) {
	console.log(baseUrl+'baseInfo/queryCbxx.html');
	if (!isAlreadyLoadcbxx)
		queryCbxx();
});

function queryCbxx() {
	loading_show("数据加载中 ...");
	$.ajax({
		type : "POST",
		dataType : "json",
		url : baseUrl+'baseInfo/queryCbxx.html',
		success : function(data) {
			if (!data.queryList) {
				$("#cbxx_content").html(getErrorMsgByResultHtml(data));
				return;
			}
			var list = data.queryList;
			var html = "";
			$.each(list, function(i, obj) {
				var AAE140 = getCodeValue("aae140",obj.AAE140); 
				var AAC031 = getCodeValue("aac031",obj.AAC031); 
				//var BCC003=obj.BCC003.substring(0,4)+"年"+obj.BCC003.substring(4)+"月";
				var BCC003=obj.BCC003;
				var AAB004=obj.AAB004,AAC049=obj.AAC049,AAE180=obj.AAE180;
				html += '<div class="person_info"  style="margin:20px 10px;"><div class="person_info_inline">';
				html += '<div class="person_info_row" style="color:#333;"><div>险种类型： </div><div>' + AAE140 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>参保单位：  </div><div>' + AAB004+ '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>缴费状态：  </div><div>' + AAC031 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>首次参保年月：  </div><div>' + AAC049 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>缴费基数：  </div><div>' + AAE180 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>缴费截止年月：  </div><div>' + BCC003 + '</div></div>';
				html += '</div></div>';
			});
			$("#cbxx_content").html(html);
			isAlreadyLoadcbxx = true;
		},
		error : function(XMLHttpRequest, textStatus, errorThrown) {
			//$("#cbxx_content").html(getErrorHtml("访问服务器出错, 错误编码："+XMLHttpRequest.status));
			$("#cbxx_content").html(getErrorHtml());
			loading_hide();
		},
		complete : function(XMLHttpRequest, textStatus) {
			loading_hide();
		}
	});
}