var isBsznArealdyLoad = false;
$("#bszngl").on("pageshow", function(event) {
	if (!isBsznArealdyLoad) {
		queryBszn();
	}
});
function queryBszn() {
	loading_show("数据加载中 ...");
	$.ajax({
		type : "POST",
		dataType : "json",
		url : baseUrl+'ggfw/loadBsznForJson.html',
		success : function(data) {
			if (!data.list) {
				$("#bszngl_content").html(getInfoHtml("查询不到相关内容"));
				return;
			}
			var list = data.list;
			var html = '<ul data-role="listview" data-inset="true">';
			$.each(list, function(i, obj) {
				html += '<li><a href="bsznxq.htm" data-ajax="false" style="font-size: 18px;font-weight: normal;">'+obj.bt0000+'</a></li>';
			});
			html += '</ul>';
			$("#bszngl_content").html(html);
			$("#bszngl_content ul").listview();
			addBsznClickHandler(list);
			isBsznArealdyLoad = true;
		},
		error : function(XMLHttpRequest, textStatus, errorThrown) {
			//$("#bszngl_content").html(getErrorHtml("访问服务器出错, 错误编码："+XMLHttpRequest.status));
			$("#bszngl_content").html(getErrorHtml());
		},
		complete : function(XMLHttpRequest, textStatus) {
			loading_hide();
		}
	});
}

function addBsznClickHandler(list) {
	var lis = $("#bszngl_content").find("li");
	$.each(list, function(i, obj){
		var bt0000 = obj.bt0000, zw0000 = obj.zw0000;
		$(lis[i]).click(function(){
			sessionStorage.bsznxq_bt = bt0000;
			sessionStorage.bsznxq_zw = zw0000;
		});
	});
}