var ddlsydPageIndex = 1;
var loadDdlsydEnd = true;
var isDdlsydLoading = false;
var isDdlsydCreateFirst = true;
$("#ddlsyd").on("pageshow", function(event) {

  style.initSelect("#ssdq_ddlsyd");
	if (isDdlsydCreateFirst) {
		isDdlsydCreateFirst = false;
		$("#query_btn").click(function() {
		    $("#ddlsyd_more").hide();
			$("#ddlsyd_infos").html("");
			if($("#ssdq_ddlsyd").val()==''){
				$("#ddlsyd_infos").html(getErrorHtml('请选择地区'));
				return false;
			}
			ddlsydPageIndex = 1;
			queryDdlsyd();
		});
		
		$("#ddlsyd_akb021").on('keypress', function(event) {
			if (event.keyCode == "13") {
				$("#ddlsyd_infos").html("");
				ddlsydPageIndex = 1;
				queryDdlsyd();
				return false;
			}
		});

		$("#ddlsyd_more").click(function() {
			ddlsydScrollHandler();
		});
	}
	
	addDdlsydScroll();
});

$("#mapDiv").on("pageshow", function(event) {
	$(document).off("scrollstop");
});

function addDdlsydScroll() {
	$(document).on("scrollstop", function() {
		if (($(window).height() + $(window).scrollTop() + 10) >= $("#ddlsyd").height()) {
			ddlsydScrollHandler();
		}
	});
}

function queryDdlsyd() {
	loading_show("数据加载中 ...");
	isDdlsydLoading = true;
	var pageSize = 10;
	$.ajax({
		type : "POST",
		dataType : "json",
		data : {
			"pageSize" : pageSize,
			"pageIndex" : ddlsydPageIndex,
			"akb021" : $("#ddlsyd_akb021").val(),
			"dqbh":$("#ssdq_ddlsyd").val()
		},
		url : baseUrl+'yybx/queryDdlsydForJson.html',
		success : function(data) {
			if (!data.queryList) {
				$("#ddlsyd_infos").html(getErrorMsgByResultHtml(data));
				$("#ddlsyd_more").hide();
				return;
			}
			var list = data.queryList, totalNum = parseInt(data.totalNum);
			var html = "";
			$.each(list, function(i, obj) {
				var AKB021 = obj.AKB021, AAE006 = obj.AAE006;
				html += '<a  href="javascript:void(0)"><div class="person_info"><div class="person_info_inline">';
				html += '<div class="person_info_row" style="color:#333;"><div>药店名称：  </div><div name="ydName">' + AKB021+ '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>药店地址：  </div><div name="ydAreadd" class="myposition" onclick="queryDdlsydMap(\''+AKB021+'\',\''+AAE006+'\')"><img style="width:20px;height:20px;" src="../../theme/images/location.gif"/>' + AAE006 + '</div></div>';
				html += '</div></div></a>';
			});
			if (ddlsydPageIndex == 1)
				$("#ddlsyd_infos").html(html);
//				$("#ddlsyd_infos").html(getSuccessHtml("在目标地址上向左或右滑动可查看目标的详细地图")+html);
			else
				$("#ddlsyd_infos").append(html);
			loadDdlsydEnd = isLoadEnd(pageSize, ddlsydPageIndex, totalNum);
			if (loadDdlsydEnd) {
				$("#ddlsyd_infos").append(getSuccessHtml('数据已全部加载完成'));
				$("#ddlsyd_more").hide();
			} else
//				$("#ddlsyd_more").show();

//            var loadpage = (ddlsydPageIndex - 1) * pageSize;
//			var btn_left = $("#ddlsyd_infos").find("div[name='ydAreadd']");
//
//			$.each(list, function(i, obj) {
//				$(btn_left[i + loadpage]).click(function() {
//					queryDdlsydMap(obj.AKB021,obj.AAE006);
//				});
//			});

			ddlsydPageIndex++;
			isDdlsydLoading = false;
//			$("a").off("swipe");
//			$("a").on("swipe",function(){
//				var fwwddz=$(this).children().children().html();
//				//$(this).attr('href','ddyljgMap.htm?fwwddz='+escape(fwwddz)+'&fwwdmc='+escape(fwwdmc)+'');				$.mobile.changePage('ddyljg.htm#mapDiv');
//				var ydArea=$(this).find("[name=ydArea]").html();
//				var ydName=$(this).find("[name=ydName]").html();
//				if(ydArea==null||ydArea==""||ydArea=="无"){
//					Style.prototype.tip("该药店地址不详，无法定位",3000,"info");
//					return;
//				}
//				queryDdlsydMap(fwwddz,ydArea);
//				});
		},
		error : function(XMLHttpRequest, textStatus, errorThrown) {
			$("#ddlsyd_infos").html(getErrorHtml());
			$("#ddlsyd_more").hide();
		},
		complete : function(XMLHttpRequest, textStatus) {
			loading_hide();
		}
	});
}

function ddlsydScrollHandler() {
	if (loadDdlsydEnd || isDdlsydLoading)
		return;
	queryDdlsyd();
}
var map=null;
var myGeo=null;
var marker=null;
var preMarker=null;
function queryDdlsydMap(fwwddz,tem){
	$.mobile.changePage('ddlsyd.htm#mapDiv');
	$("#map_ddlsyd").height(getWinHeight());
	var interval = setInterval(function(){
		var height = $("#map_ddlsyd").height();
		if(!height||height==0){
			return;
		}
		clearInterval(interval);
		if(map==null){
			map = new BMap.Map("map_ddlsyd");
			//map.centerAndZoom(new BMap.Point("山西"),18);
			map.panBy(140,120);
			map.enableScrollWheelZoom();    //启用滚轮放大缩小，默认禁用
			map.enableContinuousZoom();    //启用地图惯性拖拽，默认禁用
			map.enableInertialDragging();　// 开启惯性拖拽效果
			map.enableDoubleClickZoom();
			map.addControl(new BMap.NavigationControl());  //添加默认缩放平移控件
			map.addControl(new BMap.OverviewMapControl()); //添加默认缩略地图控件
			map.enableKeyboard();//启用键盘上下左右键移动地图
			myGeo = new BMap.Geocoder();
		}
		  //var points = [];
		 myGeo.getPoint(tem, function(point) {
	      if (point) {
	    	  	//points.push(point);
	    	 var marker=new BMap.Marker(point);  
			 if(preMarker!=null){
				map.removeOverlay(preMarker);
	          }
	          map.addOverlay(marker);  
	          preMarker=marker; 
	          var infoWindow = new BMap.InfoWindow('<div style="line-height:180%">'+fwwddz+'</div>');
	       		  marker.addEventListener("click", function(){this.openInfoWindow(infoWindow);});
	       		 //var ret = map.getViewport(points);
	    		 //map.centerAndZoom(ret.center, ret.zoom);
	       		  map.centerAndZoom(new BMap.Point(point.lng,point.lat),18);
	    	　　}
	      });
	}, 100);
}

function getWinHeight(){
	var winHeight;
	// 获取窗口高度
	if (window.innerHeight)
	winHeight = window.innerHeight;
	else if ((document.body) && (document.body.clientHeight))
	winHeight = document.body.clientHeight;
	// 通过深入 Document 内部对 body 进行检测，获取窗口大小
	if (document.documentElement && document.documentElement.clientHeight && document.documentElement.clientWidth)
	{
		winHeight = document.documentElement.clientHeight;
	}
	return winHeight;
}