var ddyljgPageIndex = 1;
var loadDdyljgEnd = true;
var isDdyljgLoading = false;
var isDdyljgCreateFirst = true;


$("#ddyljg").on("pageshow", function(event) {
    style.initSelect("#ddyljg_aka101,#ssdq_ddyljg");

	if(isDdyljgCreateFirst) {
		isDdyljgCreateFirst = false;
		$("#ddyljg_query_btn").click(function() {
		    $("#ddyljg_more").hide();
			$("#ddyljg_infos").html("");
			if($("#ssdq_ddyljg").val()==''){
			$("#ddyljg_infos").html(getErrorHtml('请选择地区'));
			return false;
			}
			ddyljgPageIndex = 1;
			queryDdyljg();
		});
		$("#ddyljg_akb021").on('keypress', function(event) {
			if (event.keyCode == "13") {
				$("#ddyljg_infos").html("");
				ddyljgPageIndex = 1;
				queryDdyljg();
				return false;
			}
		});
		$("#ddyljg_more").click(function() {
			ddyljgScrollHandler();
		});
	}
	addDdyljgScroll();
	
});
$("#mapDiv").on("pageshow", function(event) {
	$(document).off("scrollstop");
});

function addDdyljgScroll() {
	$(document).on("scrollstop", function() {
		if (($(window).height() + $(window).scrollTop() + 10) >= $("#ddyljg").height()) {
			ddyljgScrollHandler();
		}
	});
}

function queryDdyljg() {
	loading_show("数据加载中 ...");
	isDdyljgLoading = true;
	var pageSize = 10;
	$.ajax({
		type : "POST",
		dataType : "json",
		data : {
			"pageSize" : pageSize,
			"pageIndex" : ddyljgPageIndex,
			"akb021" : $("#ddyljg_akb021").val(),
			"aka101" : $("#ddyljg_aka101").val(),
			"dqbh":$("#ssdq_ddyljg").val()
		},
		url : baseUrl+'yybx/queryDdyljgForJson.html',
		success : function(data) {
			if (!data.queryList) {
				$("#ddyljg_infos").html(getErrorMsgByResultHtml(data));
				$("#ddyljg_more").hide();
				return;
			}
			var list = data.queryList, totalNum = parseInt(data.totalNum);
			var html = "";
			$.each(list, function(i, obj) {
				var AKA101 = obj.AKA101, AKB021 = obj.AKB021, AAE006 = obj.AAE006;
				html += '<a  href="javascript:void(0)"><div class="person_info"  style="margin:20px 10px;"><div class="person_info_inline">';
				html += '<div class="person_info_row" style="color:#333;"><div>服务网点名称：  </div><div name="wdName">' + AKB021+ '</div></div>';
				if(AAE006=="无"||AAE006==""){
					html += '<div class="person_info_row" style="color:#333;"><div>服务网点地址： </div><div name="wdArea">' + AAE006 + '</div></div>';
					}else{
//					html += '<div class="person_info_row" style="color:#333;"><div>服务网点地址： </div><div name="wdArea"><img style="width:20px;height:20px;" src="../../theme/images/location.gif"/>' + AAE006 + '</div></div>';
					html += '<div class="person_info_row" style="color:#333;"><div>服务网点地址： </div><div name="wdArea" class="myposition" onclick="queryDdlyjgMap(\''+AKB021+'\',\''+AAE006+'\')"><img style="width:20px;height:20px;" src="../../theme/images/location.gif"/>' + AAE006 + '</div></div>';
					}
				html += '<div class="person_info_row" style="color:#333;"><div>等级：  </div><div>' + getCodeValue("aka101", AKA101) + '</div></div>';
				html += '</div></div></a>';
			});
			if (ddyljgPageIndex == 1)
				$("#ddyljg_infos").html(html);
//				$("#ddyljg_infos").html(getSuccessHtml("在目标地址上向左或右滑动可查看目标的详细地图")+html);
			else
				$("#ddyljg_infos").append(html);
			loadDdyljgEnd = isLoadEnd(pageSize, ddyljgPageIndex, totalNum);
			if (loadDdyljgEnd) {
				$("#ddyljg_infos").append(getSuccessHtml('数据已全部加载完成'));
				$("#ddyljg_more").hide();
			} else
				$("#ddyljg_more").show();
				
//			var loadpage = (ddyljgPageIndex - 1) * pageSize;
//			var btn_left = $("#ddyljg_infos").find("div[name='wdArea']");
//
//			$.each(list, function(i, obj) {
//				$(btn_left[i + loadpage]).click(function() {
//					queryDdlyjgMap(obj.AKB021,obj.AAE006);
//				});
//			});
			
			isDdyljgLoading = false;
//			$("a").off("swipe");
//			$("a").on("swipe",function(){
//				var fwwddz=$(this).children().children().html();
//				//$(this).attr('href','ddyljgMap.htm?fwwddz='+escape(fwwddz)+'&fwwdmc='+escape(fwwdmc)+'');				$.mobile.changePage('ddyljg.htm#mapDiv');
//				var wdArea=$(this).find("[name=wdArea]").html();
//				var wdName=$(this).find("[name=wdName]").html();
//				if(wdArea==null||wdArea==""||wdArea=="无"){
//					Style.prototype.tip("该服务网点地址不详，无法定位",3000,"info");
//					return;
//				}
//				queryDdlyjgMap(fwwddz,wdArea);
//				});			
				
			ddyljgPageIndex++;
		},
		error : function(XMLHttpRequest, textStatus, errorThrown) {
//		$("#ddyljg_infos").html(getErrorHtml("访问服务器出错, 错误编码："+XMLHttpRequest.status));
			$("#ddyljg_infos").html(getErrorHtml());
			$("#ddyljg_more").hide();
		},
		complete : function(XMLHttpRequest, textStatus) {
			loading_hide();
		}
	});
}

function ddyljgScrollHandler() {
	if (loadDdyljgEnd || isDdyljgLoading)
		return;
	queryDdyljg();
}
var map=null;
var myGeo=null;
var marker=null;
var preMarker=null;
//查询地图
function queryDdlyjgMap(fwwddz,tem){
	$.mobile.changePage('ddyljg.htm#mapDiv');
	$("#map_ddyljg").height(getWinHeight());
//	$.mobile.changePage('ddyljgMap.htm?fwwddz='+escape(fwwddz)+'&fwwdmc='+escape(fwwdmc)+'');
//	window.location = 'ddyljgMap.htm?fwwddz='+escape(fwwddz)+'&fwwdmc='+escape(fwwdmc)+'';
	var interval = setInterval(function(){
		var height = $("#map_ddyljg").height();
		if(!height||height==0){
			return;
		}
		clearInterval(interval);
		if(map==null){
			map = new BMap.Map("map_ddyljg");
			//map.centerAndZoom(new BMap.Point("山西"),18);
			map.panBy(140,120);
			map.enableScrollWheelZoom();    //启用滚轮放大缩小，默认禁用
			map.enableContinuousZoom();    //启用地图惯性拖拽，默认禁用
			map.enableInertialDragging();　// 开启惯性拖拽效果
			map.enableDoubleClickZoom();
			map.addControl(new BMap.NavigationControl());  //添加默认缩放平移控件
			map.addControl(new BMap.OverviewMapControl()); //添加默认缩略地图控件
			map.enableKeyboard();//启用键盘上下左右键移动地图
			myGeo = new BMap.Geocoder();
		}
		  //var points = [];
		 myGeo.getPoint(tem, function(point) {
	      if (point) {
	    	  	//points.push(point);
	    	 var marker=new BMap.Marker(point);  
			 if(preMarker!=null){
				map.removeOverlay(preMarker);
	          }
	          map.addOverlay(marker);  
	          preMarker=marker; 
	          var infoWindow = new BMap.InfoWindow('<div style="line-height:180%">'+fwwddz+'</div>');
	       		  marker.addEventListener("click", function(){this.openInfoWindow(infoWindow);});
	       		 //var ret = map.getViewport(points);
	    		 //map.centerAndZoom(ret.center, ret.zoom);
	       		  map.centerAndZoom(new BMap.Point(point.lng,point.lat),18);
	    	　　}
	      });
	}, 100);
}

function getWinHeight(){
	var winHeight;
	// 获取窗口高度
	if (window.innerHeight)
	winHeight = window.innerHeight;
	else if ((document.body) && (document.body.clientHeight))
	winHeight = document.body.clientHeight;
	// 通过深入 Document 内部对 body 进行检测，获取窗口大小
	if (document.documentElement && document.documentElement.clientHeight && document.documentElement.clientWidth)
	{
		winHeight = document.documentElement.clientHeight;
	}
	return winHeight;
}