$("#zcfgxq").on("pageshow", function(event) {
	var params = getUrlParams();
	var zcfgID = params['zcfgID'], title = params['title'];
	$("#zcfgxq_title").html(title);
	queryZcfgDetail(zcfgID);
});

/**
 * 加载政策法规详情
 * @param id
 */
function queryZcfgDetail(id) {
	loading_show("数据加载中 ...");
	$.ajax({
		type : "POST",
		dataType : "json",
		data : {
			zcfgid : id
		},
		url : baseUrl+'ggfw/queryZcfgDetail.html',
		success : function(data) {
			if (!data.queryList) {
				$("#zcfgxq_content").html(getErrorMsgByResultHtml(data));
				return;
			}
			var list = data.queryList;
			if (list.length > 0) {
				var content = list[0].CONTENT_;
				content = content.replace(/STEAF_NEWLINE/g, "<br/>");
				$("#zcfgxq_content").html(content);
			} else
				$("#zcfgxq_content").html("查询不到详情");
		},
		error : function(XMLHttpRequest, textStatus, errorThrown) {
			//$("#zcfgxq_content").html(getErrorHtml("访问服务器出错, 错误编码："+XMLHttpRequest.status));
			$("#zcfgxq_content").html(getErrorHtml());
		},
		complete : function(XMLHttpRequest, textStatus) {
			loading_hide();
		}
	});
}