var dyffPageIndex = 1;
var loadDyffEnd = true;
var isDyffLoading = false;
var isDyffCreateFirst = true;
$("#mainPage").on("pageshow", function(event) {
	//style.initDate("#param2");
	//style.initDate("#param1");
	if (isDyffCreateFirst) {
		isDyffCreateFirst = false;
		$("#query_btn").click(function() {
		    $("#jfcx_more").hide();
			$("#jfcx_infos").html("");
			dyffPageIndex = 1;
			queryJfcx();
		});
		
//		$("#dyff_more").click(function() {
//			dyffScrollHandler();
//		});
		
		$("#param2").val(getNowYearMonth());
		$("#param1").val(getPrevYearMonth());
	}
	
	setDyffConditionDate();
	addDyffScroll();
});

$("#mainPage").on("pagebeforehide", function(event) {
	$(document).off("scrollstop");
});

function addDyffScroll() {
	$(document).on("scrollstop", function() {
		if (($(window).height() + $(window).scrollTop() + 10) >= $("#mainPage").height()) {
			dyffScrollHandler();
		}
	});
}

$("#mainPage").on("pagebeforehide", function(event) {
	$(document).off("scrollstop");
});

function queryJfcx() {
	var aae041 = YearMonth7For6($("#param1").val());
	var aae042 = YearMonth7For6($("#param2").val());
	if(!checkTimeQueryCondition("dyff_infos",aae041,aae042)){
	    $("#jfcx_more").hide();
		return;
	}
	loading_show("数据加载中 ...");
	isDyffLoading = true;
	var pageSize = 10;
	
	$.ajax({
		type : "POST",
		dataType : "json",
		headers:{"rownum":'10',"startrow":dyffPageIndex,"Content-Type":"application/json;charset=UTF-8"},
		data : {
			"begin" : YearMonth7For6($("#param1").val()),
			"end" : YearMonth7For6($("#param2").val()),
			"accessToken": Msy.getAccessToken(),
			"accessId": "1000000000"
		},
		url : baseUrl_Mobile+'jgyl/getContInfo',
		success : function(data) {
			//alert('resultCode==='+data.resultCode+'****resultBody===='+data.resultBody+'****resultMsg====='+data.resultMsg)
			if (!data.resultBody) {
				$("#jfcx_infos").html(getErrorMsgByResultHtml(data));
				$("#jfcx_more").hide();
				return;
			}
			var list = data.resultBody
            var totalNum = parseInt(data.totalNum);
            var html = "";
			$.each(list, function(i, obj) {
			    var AAE140 = getCodeValue("aae140",obj.AAE140);
                var AAE143 = getCodeValue("aae143",obj.AAE143);
				var AAE041 = YearMonth6For7(obj.AAE041), AAE042 = YearMonth6For7(obj.AAE042), AAE201 = obj.AAE201 , BCC006 = obj.BCC006 , AAC123 = obj.AAC123;
				html += '<div class="person_info"  style="margin:20px 10px;"><div class="person_info_inline">';
				html += '<div class="person_info_row" style="color:#333;"><div>险种类型：   </div><div>' + AAE140 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>缴费类型：   </div><div>' + AAE143 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>开始年月：   </div><div>' + AAE041 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>截止年月：   </div><div>' + AAE042 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>缴费金额： <i class="fa fa-rmb"></i></div><div>¥' + BCC006 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>其中个人缴费： <i class="fa fa-rmb"></i></div><div>¥' + AAC123 + '</div></div>';
				html += '</div></div>';
			});
			if (dyffPageIndex == 1)
				$("#jfcx_infos").html(html);
			else
				$("#jfcx_infos").append(html);
			loadDyffEnd = isLoadEnd(pageSize, dyffPageIndex, totalNum);
			if (loadDyffEnd) {
				$("#jfcx_infos").append(getSuccessHtml('数据已全部加载完成'));
				$("#jfcx_more").hide();
			} else
//				$("#dyff_more").show();
			dyffPageIndex++;
			isDyffLoading = false;
		},
		error : function(XMLHttpRequest, textStatus, errorThrown) {
			//$("#dyff_infos").html(getErrorHtml("访问服务器出错, 错误编码："+XMLHttpRequest.status));
			$("#jfcx_infos").html(getErrorHtml());
			$("#jfcx_more").hide();
		},
		complete : function(XMLHttpRequest, textStatus) {
			loading_hide();
		}
	});
}

function dyffScrollHandler() {
	if (loadDyffEnd || isDyffLoading)
		return;
	queryJfcx();
}

function setDyffConditionDate(){
	var theme = "android-ics light", display = "bottom";
	if (browser.versions.android) {
		theme = "android-ics light";
	} else if (browser.versions.iPad) {
		theme = "ios";
	} else if (browser.versions.iPhone) {
		theme = "ios";
		display = "bottom";
	}
	
	$('#param1, #param2').mobiscroll().date({
		theme : theme,
		lang : 'zh',
		display : display,
		mode : 'scroller',
		dateOrder : 'yymm',
		dateFormat : 'yy-mm',
		showOnFocus : false
	});
}