var isAlreadyLoadDyxm = false;
var dyffPageIndex = 1;
var loadDyffEnd = true;
var isDyffLoading = false;
$("#jgxmcx").on("pageshow", function(event) {
	if (!isAlreadyLoadDyxm)
		queryDyxm();
});

function queryDyxm() {
	isDyffLoading = true;
    var pageSize = 10;
    loading_show("数据加载中 ...");
	$.ajax({
		type : "POST",
		dataType : "json",
		headers:{"rownum":'10',"startrow":dyffPageIndex,"Content-Type":"application/json;charset=UTF-8"},
		data :{
			"accessToken": Msy.getAccessToken(),
			"accessId": "1000000000"
		},
		url : baseUrl_Mobile+'jgyl/getTreatList',
		success : function(data) {
//			alert('resultCode==='+data.resultCode+'****resultBody===='+data.resultBody+'****resultMsg====='+data.resultMsg)
			if (!data.resultBody) {
				$("#jgxmcx_content").html(getErrorMsgByResultHtml(data));
				return;
			}
			var list = data.resultBody
            var totalNum = parseInt(data.totalNum);
            var html = "";
			$.each(list, function(i, obj) {
				var AIC230 = getCodeValue("aic230", obj.AIC230), AIC142 = obj.AIC142;
				html += '<div class="person_info"  style="margin:20px 10px;"><div class="person_info_inline">';
				html += '<div class="person_info_row" style="color:#333;"><div>待遇类别：   </div><div>' + AIC230 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>待遇金额： <i class=\"fa fa-rmb\"></i> </div><div>¥' + AIC142 + '</div></div>';
				html += '</div></div>';
			});
			if (dyffPageIndex == 1)
                        	$("#jgxmcx_content").html(html);
                        else
                        	$("#jgxmcx_content").append(html);
                        	loadDyffEnd = isLoadEnd(pageSize, dyffPageIndex, totalNum);
                        	if (loadDyffEnd) {
                        	    $("#jgxmcx_content").append(getSuccessHtml('数据已全部加载完成'));
                        		$("#jgxmcx_more").hide();
                        	} else
                        //		$("#dyff_more").show();
                        		dyffPageIndex++;
                        		isDyffLoading = false;
                        	},
                        	error : function(XMLHttpRequest, textStatus, errorThrown) {
                        		//$("#dyff_infos").html(getErrorHtml("访问服务器出错, 错误编码："+XMLHttpRequest.status));
                        		$("#jgxmcx_content").html(getErrorHtml());
                        		$("#jgxmcx_more").hide();
                        	},
                        	complete : function(XMLHttpRequest, textStatus) {
                        		loading_hide();
                        	    }
                            });
                        }

                        function dyffScrollHandler() {
                        	if (loadDyffEnd || isDyffLoading)
                        		return;
                        	queryJfcx();
                        }

                        function setDyffConditionDate(){
                        	var theme = "android-ics light", display = "bottom";
                        	if (browser.versions.android) {
                        		theme = "android-ics light";
                        	} else if (browser.versions.iPad) {
                        		theme = "ios";
                        	} else if (browser.versions.iPhone) {
                        		theme = "ios";
                        		display = "bottom";
                        	}

                        	$('#param1, #param2').mobiscroll().date({
                        		theme : theme,
                        		lang : 'zh',
                        		display : display,
                        		mode : 'scroller',
                        		dateOrder : 'yymm',
                        		dateFormat : 'yy-mm',
                        		showOnFocus : false
                        	});
}