var isAlreadyLoadsbk=false;
$("#querysbk").on("pageshow", function(event) {
	$("#querysbk_btn").addClass("ui-btn-active");
	if(!isAlreadyLoadsbk)
		querySbk();
});



function querySbk() {
	loading_show("数据加载中 ...");
	$.ajax({
		type : "POST",
		dataType : "json",
		url : baseUrl+'sbkgl/querySbkForJson.html',
		success : function(data) {
			if (!data.queryList) {
				$("#querysbk_content").html(getErrorMsgByResultHtml(data));
				return;
			}
			
			var list = data.queryList;
			var html = "";
			$.each(list, function(i, obj) {
				var AAB301 = getCodeValue("aab301",obj.AAB301); 
				var AAE140 = getCodeValue("aae140",obj.AAE140); 
				var BCC013=obj.BCC013;
				html += '<div class="person_info"  style="margin:20px 10px;"><div class="person_info_inline">';
				html += '<div class="person_info_row" style="color:#333;"><div>所属地区：   </div><div>' + AAB301 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>险种类型：   </div><div>' + AAE140 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>个人编号：   </div><div>' + BCC013 + '</div></div>';
				html += '</div></div>';
			});
			$("#querysbk_content").html(html);
			isAlreadyLoadsbk=true;
		},
		error : function() {
			//$("#querysbk_content").html(getErrorHtml("访问服务器出错, 错误编码："+XMLHttpRequest.status));
			$("#querysbk_content").html(getErrorHtml());
			loading_hide();
		},
		complete : function(XMLHttpRequest, textStatus) {
			loading_hide();
		}
	});
}