var isAlreadyLoadSyuDyxx = false;
$("#syu_dyxx").on("pageshow", function(event) {
	$("#dy_btn").addClass("ui-btn-active");
	if (!isAlreadyLoadSyuDyxx)
		querySyuDyxx();
});

function querySyuDyxx() {
	loading_show("数据加载中 ...");
	console.log("load data");
	$.ajax({
		type : "POST",
		dataType : "json",
		url : baseUrl+'syubx/queryDyxxFoJson.html',
		success : function(data) {
			if (!data.queryList) {
				$("#dyxx_content").html(getErrorMsgByResultHtml(data));
				return;
			}
			var list = data.queryList;
			var html = "";
			$.each(list, function(i, obj) {
				var BMC001 = obj.BMC001, AAE074 = obj.AAE074, AAC003 = obj.AAC003, AAB004 = obj.AAB004, BMC026 = getCodeValue("bmc026", $.trim(obj.BMC026)), AMC051 = obj.AMC051, AAE036 = date8For10(obj.AAE036);
				html += '<div class="person_info"  style="margin:20px 10px;"><div class="person_info_inline">';
				html += '<div class="person_info_row" style="color:#333;"><div>生育受理流水号：   </div><div>' + BMC001 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>待遇支付流水号：   </div><div>' + AAE074 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>姓名：  </div><div>' + AAC003 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>单位名称：   </div><div>' + AAB004 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>生育待遇类别：  </div><div>' + BMC026 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>生育待遇总额：   <i class=\"fa fa-rmb\"></i> </div><div>¥' + AMC051 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>申报日期：   </div><div>' + AAE036 + '</div></div>';
				html += '</div></div>';
			});
			$("#dyxx_content").html(html);
			isAlreadyLoadSyuDyxx = true;
		},
		error : function(XMLHttpRequest, textStatus, errorThrown) {
			//$("#dyxx_content").html(getErrorHtml("访问服务器出错, 错误编码："+XMLHttpRequest.status));
			$("#dyxx_content").html(getErrorHtml());
		},
		complete : function(XMLHttpRequest, textStatus) {
			loading_hide();
		}
	});
}