var isAlreadyLoadSyuSlxx = false;
$("#syu_slxx").on("pageshow", function(event) {
	$("#sl_btn").addClass("ui-btn-active");
	if (!isAlreadyLoadSyuSlxx)
		querySyuSlxx();
});

function querySyuSlxx() {
	loading_show("数据加载中 ...");
	$.ajax({
		type : "POST",
		dataType : "json",
		url : baseUrl+'syubx/querySlxxFoJson.html',
		success : function(data) {
			if (!data.queryList) {
				$("#slxx_content").html(getErrorMsgByResultHtml(data));
				return;
			}
			var list = data.queryList;
			var html = "";
			$.each(list, function(i, obj) {
				var BMC001 = obj.BMC001, AAC003 = obj.AAC003, AAB004 = obj.AAB004, AMC020 = date8For10(obj.AMC020), AMC021 = obj.AMC021, AMC022 = obj.AMC022, AAE036 = date8For10(obj.AAE036);
				html += '<div class="person_info"  style="margin:20px 10px;"><div class="person_info_inline">';
				html += '<div class="person_info_row" style="color:#333;"><div>生育受理流水号：   </div><div>' + BMC001 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>姓名：   </div><div>' + AAC003 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>单位名称：   </div><div>' + AAB004 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>生育日期：   </div><div>' + AMC020 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>准生证号：   </div><div>' + AMC021 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>出生证号       </div><div>' + AMC022 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>受理日期：   </div><div>' + AAE036 + '</div></div>';
				html += '</div></div>';
			});
			$("#slxx_content").html(html);
			isAlreadyLoadSyuSlxx = true;
		},
		error : function(XMLHttpRequest, textStatus, errorThrown) {
			//$("#slxx_content").html(getErrorHtml("访问服务器出错, 错误编码："+XMLHttpRequest.status));
			$("#slxx_content").html(getErrorHtml());
		},
		complete : function(XMLHttpRequest, textStatus) {
			loading_hide();
		}
	});
}