var dyffPageIndex = 1;
var loadDyffEnd = true;
var isDyffLoading = false;
var isDyffCreateFirst = true;
$("#mainPage").on("pageshow", function(event) {
	//style.initDate("#param2");
	//style.initDate("#param1");
	if (isDyffCreateFirst) {
		isDyffCreateFirst = false;
		$("#query_btn").click(function() {
		    $("#dyff_more").hide();
			$("#dyff_infos").html("");
			dyffPageIndex = 1;
			queryDyff();
		});
		
//		$("#dyff_more").click(function() {
//			dyffScrollHandler();
//		});
		
		$("#param2").val(getNowYearMonth());
		$("#param1").val(getPrevYearMonth());
	}
	style.initSelect("#xzlx");
	setDyffConditionDate();
	addDyffScroll();
});

$("#mainPage").on("pagebeforehide", function(event) {
	$(document).off("scrollstop");
});

function addDyffScroll() {
	$(document).on("scrollstop", function() {
		if (($(window).height() + $(window).scrollTop() + 10) >= $("#mainPage").height()) {
			dyffScrollHandler();
		}
	});
}

$("#mainPage").on("pagebeforehide", function(event) {
	$(document).off("scrollstop");
});

function queryDyff() {
	var aae041 = YearMonth7For6($("#param1").val());
	var aae042 = YearMonth7For6($("#param2").val());
	if(!checkTimeQueryCondition("dyff_infos",aae041,aae042)){
	    $("#dyff_more").hide();
		return;
	}
	loading_show("数据加载中 ...");
	isDyffLoading = true;
	var pageSize = 10;
	
	$.ajax({
		type : "POST",
		dataType : "json",
		data : {
			"pageSize" : pageSize,
			"pageIndex" : dyffPageIndex,
			"aae041" : YearMonth7For6($("#param1").val()),
			"aae042" : YearMonth7For6($("#param2").val()),
			"aae140" : $("#xzlx").val()
		},
		url : baseUrl+'ylbx/queryDyffForJson.html',
		success : function(data) {
			if (!data.queryList) {
				$("#dyff_infos").html(getErrorMsgByResultHtml(data));
				$("#dyff_more").hide();
				return;
			}
			var list = data.queryList, totalNum = parseInt(data.totalNum);
			var html = "";
			$.each(list, function(i, obj) {
				var AAE002 = YearMonth6For7(obj.AAE002), AAE003 = YearMonth6For7(obj.AAE003), AIC142 = obj.AIC142;
				html += '<div class="person_info"  style="margin:20px 10px;"><div class="person_info_inline">';
				html += '<div class="person_info_row" style="color:#333;"><div>姓名：   </div><div>' + data.realName + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>身份证号：   </div><div>' + data.idCard + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>应付年月：   </div><div>' + AAE002 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>实付年月：   </div><div>' + AAE003 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>发放金额： <i class="fa fa-rmb"></i></div><div>¥' + AIC142 + '</div></div>';
				html += '</div></div>';
			});
			if (dyffPageIndex == 1)
				$("#dyff_infos").html(html);
			else
				$("#dyff_infos").append(html);
			loadDyffEnd = isLoadEnd(pageSize, dyffPageIndex, totalNum);
			if (loadDyffEnd) {
				$("#dyff_infos").append(getSuccessHtml('数据已全部加载完成'));
				$("#dyff_more").hide();
			} else
//				$("#dyff_more").show();
			dyffPageIndex++;
			isDyffLoading = false;
		},
		error : function(XMLHttpRequest, textStatus, errorThrown) {
			//$("#dyff_infos").html(getErrorHtml("访问服务器出错, 错误编码："+XMLHttpRequest.status));
			$("#dyff_infos").html(getErrorHtml());
			$("#dyff_more").hide();
		},
		complete : function(XMLHttpRequest, textStatus) {
			loading_hide();
		}
	});
}

function dyffScrollHandler() {
	if (loadDyffEnd || isDyffLoading)
		return;
	queryDyff();
}

function setDyffConditionDate(){
	var theme = "android-ics light", display = "bottom";
	if (browser.versions.android) {
		theme = "android-ics light";
	} else if (browser.versions.iPad) {
		theme = "ios";
	} else if (browser.versions.iPhone) {
		theme = "ios";
		display = "bottom";
	}
	
	$('#param1, #param2').mobiscroll().date({
		theme : theme,
		lang : 'zh',
		display : display,
		mode : 'scroller',
		dateOrder : 'yymm',
		dateFormat : 'yy-mm',
		showOnFocus : false
	});
}