var isAlreadyLoadYyGrzh = false;
$("#grzhcx").on("pageshow", function(event) {
	if (!isAlreadyLoadYyGrzh)
		queryYyGrzh();
});

function queryYyGrzh() {
	loading_show("数据加载中 ...");
	$.ajax({
		type : "POST",
		dataType : "json",
		url : baseUrl+'yybx/queryGrzhForJson.html',
		success : function(data) {
			if (!data.queryList) {
				$("#grzhcx_content").html(getErrorMsgByResultHtml(data));
				return;
			}
			var list = data.queryList;
			var html = "";
			$.each(list, function(i, obj) {
				var AAC003 = obj.AAC003, AKC021 = getCodeValue("akc021", obj.AKC021), AKC087 = obj.AKC087, BCC003 = YearMonth6For7(obj.BCC003);
				html += '<div class="person_info"  style="margin:20px 10px;"><div class="person_info_inline">';
				html += '<div class="person_info_row" style="color:#333;"><div>姓名：  </div><div>' + AAC003 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>医疗个人账户余额：<i class="fa fa-jpy"></i></div><div>¥' + AKC087 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>已缴费到年月：  </div><div>' + BCC003 + '</div></div>';
				//html += '<div class="person_info_row" style="color:#333;"><div>医疗人员类别：  </div><div>' + AKC021 + '</div></div>';
				html += '</div></div>';
			});
			$("#grzhcx_content").html(html);
			isAlreadyLoadYyGrzh = true;
		},
		error : function(XMLHttpRequest, textStatus, errorThrown) {
			//$("#grzhcx_content").html(getErrorHtml("访问服务器出错, 错误编码："+XMLHttpRequest.status));
			$("#grzhcx_content").html(getErrorHtml());
		},
		complete : function(XMLHttpRequest, textStatus) {
			loading_hide();
		}
	});
}