$("#dyxz").on("pageshow", function(event) {

style.initSelect("#ssdq,#xzmc");

	$("#dyxz_btn").addClass("ui-btn-active");
	$("#dyxz_query").click(function(){
			queryDyxz();
	});
	
});



function queryDyxz() {
	loading_show("数据加载中 ...");
	$.ajax({
		type : "POST",
		dataType : "json",
		data:{xzlx:$("#xzmc").val(),
			ssdq:$("#ssdq").val()},
		url : baseUrl+'baseInfo/queryCbqkForJson.html',
		success : function(data) {
			if (!data.queryList) {
				$("#dyxz_result").html(getErrorMsgByResultHtml(data));
				return;
			}
			
			var list = data.queryList;
			var html = "";
			$.each(list, function(i, obj) {
				var AAE140 = getCodeValue("aae140",obj.AAE140); 
				var AAC031 = getCodeValue("aac031",obj.AAC031); 
				var AAB301 = getCodeValue("aab301",((obj.AAB301).trim()).substring(0,4)+"00");
				var AAC001=obj.AAC001,AAC002=obj.AAC002,AAB004=obj.AAB004,BCC001=obj.BCC001;
				html += '<div class="person_info"  style="margin:20px 10px;"><div class="person_info_inline">';
				html += '<div class="person_info_row" style="color:#333;"><div>险种类型：  </div><div>' + AAE140 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>个人编号：  </div><div>' + AAC001+ '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>缴费状态：  </div><div>' + AAC031 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>身份证号：  </div><div>' + AAC002 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>参保单位名称：  </div><div>' + AAB004 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>所属行政区：   </div><div>' + AAB301 + '</div></div>';
				html += '</div></div>';
			});
			$("#dyxz_result").html(html);
		},
		error : function(XMLHttpRequest, textStatus, errorThrown) {
			//$("#dyxz_result").html(getErrorHtml("访问服务器出错, 错误编码："+XMLHttpRequest.status));
			$("#dyxz_result").html(getErrorHtml());
			loading_hide();
		},
		complete : function(XMLHttpRequest, textStatus) {
			loading_hide();
		}
	});
}