var isAlreadyLoadGsdyff = false;
var gsdyff_cpgage="1";
var gsdyff_rownum="5"
var loadstate=true;
$("#gsdyff").on("pageshow", function(event) {
	setDyffConditionDate();
	$("#date_1").val(getPrevYearMonth());
	$("#date_2").val(getNowYearMonth());
	$("#gsdyff_btn").addClass("ui-btn-active");
	$("#gsdyff_query").unbind('click');
	$("#gsdyff_query").click(function(){
		check();
	});
	addDdlsydScroll();
});

function check(){
	var date1=$("#date_1").val();
	var date2=$("#date_2").val();
	if(date1==''&&date2!=''){
		$("#gsdyff_result").html(getErrorHtml("请输入起始日期"));
		return;
	}
	if(date1!=''&&date2==''){
		$("#gsdyff_result").html(getErrorHtml("请输入截止日期"));
		return;
	}
	if(date1>date2){
		$("#gsdyff_result").html(getErrorHtml("起始日期不能大于截止日期"));
		return;
	}
	$("#msg_gsdyff").html('');
	$("#load_msg").html('');
	$("#gsdyff_result").html('');
	queryGsdyff(gsdyff_cpgage);
}

function addDdlsydScroll() {
	$(document).on("scrollstop", function() {
		if (($(window).height() + $(window).scrollTop() + 10) >= $("#gsdyff").height()&&loadstate&&isAlreadyLoadGsdyff) {
			var page=parseInt($("#cpage").val())+1;
			if(isload(page,$("#totalnum").val(),"5")){
				queryGsdyff(page);
			}
			
		}
	});
}

$("#gsdyff").on("pagebeforehide", function(event) {
	$(document).off("scrollstop");
});


function queryGsdyff(cpage) {
	loadstate=false;
	loading_show("数据加载中 ...");
	$.ajax({
		type : "POST",
		dataType : "json",
		data:{startDate:$("#date_1").val(),
			endDtae:$("#date_2").val(),
			rownum:"5",startrow:cpage},
		url : baseUrl+'gsbx/queryGsdyffForJson.html',
		success : function(data) {
			if (!data.queryList) {
				$("#gsdyff_result").html(getErrorMsgByResultHtml(data));
				return;
			}
			$("#cpage").val(data.startrow);
			$("#totalnum").val(data.totalnum);
			var list = data.queryList;
			var html = "";
			list.sort(function(a,b){
                            if(a.AAE002<b.AAE002){
                                return 1;
                            }else if(a.AAE002>b.AAE002){
                                return -1;
                            }
                        });
			$.each(list, function(i, obj) {
				var AAE002=obj.AAE002,AAE003=obj.AAE003,ALC176=obj.ALC176,ALC150=obj.ALC150,ALC113=obj.ALC113,ALC172=obj.ALC172,BCC006=obj.BCC006;
				html += '<div class="person_info"  style="margin:20px 10px;"><div class="person_info_inline">';
				html += '<div class="person_info_row" style="color:#333;"><div>应付年月：   </div><div>' + AAE002 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>实付年月：   </div><div>' + AAE003 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>医疗费用总额：  </div><div>' + ALC176 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>一次性待遇总额：  </div><div>' + ALC150 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>生活护理费：  </div><div>' + ALC113 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>伤残津贴：   </div><div>' + ALC172 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>发放金额：   </div><div>' + BCC006 + '</div></div>';
				html += '</div></div>';
			});
			$("#gsdyff_result").append(html);
			isAlreadyLoadGsdyff = true;
			loadstate=true;
		},
		error : function(XMLHttpRequest, textStatus, errorThrown) {
			//$("#gsdyff_result").html(getErrorHtml("访问服务器出错, 错误编码："+XMLHttpRequest.status));
			$("#gsdyff_result").html(getErrorHtml());
			loading_hide();
		},
		complete : function(XMLHttpRequest, textStatus) {
			loading_hide();
		}
	});
}

function isload(cpage,totalnum,rownum){
	var totalpage=(totalnum%rownum==0)?(totalnum/rownum):(parseInt(totalnum/rownum)+1);
	if(cpage>totalpage){
		$("#load_msg").html(getInfoHtml("数据已全部加载完成"));
		return false;
	}
	return true;
}

function setDyffConditionDate(){
	var theme = "android-ics light", display = "bottom";
    	if (browser.versions.android) {
    		theme = "android-ics light";
    	} else if (browser.versions.iPad) {
    		theme = "ios";
    	} else if (browser.versions.iPhone) {
    		theme = "ios";
    		display = "bottom";
    	}
	
	$('#date_1, #date_2').mobiscroll().date({
		theme : theme,
		lang : 'zh',
		display : display,
		mode : 'scroller',
		dateOrder : 'yymm',
		dateFormat : 'yy-mm',
		showOnFocus : false
	});
}