var isAlreadyLoadcbxx = false;
$("#cbxx").on("pageshow", function (event) {
    console.log(baseUrl + 'baseInfo/queryCbxx.html');
    if (!isAlreadyLoadcbxx)
        queryCbxx();
});

function queryCbxx() {
    loading_show("数据加载中 ...");
    $.ajax({
        type: "POST",
        dataType: "json",
        headers: {"rownum": '10', "startrow": '1', "Content-Type": "application/json;charset=UTF-8"},
        data: {
            "accessToken": Msy.getAccessToken(),
            "accessId": "1000000000"
        },
        url: baseUrl_Mobile + 'jgyl/getInsInfo',
        success: function (data) {
            //alert('resultCode==='+data.resultCode+'****resultBody===='+data.resultBody+'****resultMsg====='+data.resultMsg)
            if (!data.resultBody) {
                $("#cbxx_content").html(getErrorMsgByResultHtml(data));
                return;
            }
            var list = []
            list.push(data.resultBody);
            var html = "";
            $.each(list, function (i, obj) {
                var AAE140 = getCodeValue("aae140",obj.aae140);
                var AAC031 = getCodeValue("aac031",obj.aac031);
                //var BCC003=obj.bcc003.substring(0,4)+"年"+obj.bcc003.substring(4)+"月";
                var AAB004 = obj.aab004, AAC049 = YearMonth6For7(obj.aac049), AAE180 = obj.aae180, BCC003 = YearMonth6For7(obj.bcc003);
                html += '<div class="person_info"  style="margin:20px 10px;"><div class="person_info_inline">';
                html += '<div class="person_info_row" style="color:#333;"><div>险种类型： </div><div>' + AAE140 + '</div></div>';
                html += '<div class="person_info_row" style="color:#333;"><div>参保单位：  </div><div>' + AAB004 + '</div></div>';
                html += '<div class="person_info_row" style="color:#333;"><div>缴费状态：  </div><div>' + AAC031 + '</div></div>';
                html += '<div class="person_info_row" style="color:#333;"><div>首次参保年月：  </div><div>' + AAC049 + '</div></div>';
                html += '<div class="person_info_row" style="color:#333;"><div>缴费基数：  <i class=\"fa fa-rmb\"></i> </div><div>¥' + AAE180 + '</div></div>';
                html += '<div class="person_info_row" style="color:#333;"><div>缴费截止年月：  </div><div>' + BCC003 + '</div></div>';
                html += '</div></div>';
            });
            $("#cbxx_content").html(html);
            isAlreadyLoadcbxx = true;
        },
        error: function (XMLHttpRequest, textStatus, errorThrown) {
            //$("#cbxx_content").html(getErrorHtml("访问服务器出错, 错误编码："+XMLHttpRequest.status));
            $("#cbxx_content").html(getErrorHtml());
            loading_hide();
        },
        complete: function (XMLHttpRequest, textStatus) {
            loading_hide();
        }
    });
}