$("#sbkqyPage").on("pageshow", function(event) {
    style.initSelect("#AAB301");
	$("#sbkqy").addClass("ui-btn-active");
	$("#sbkqybtn").click(function(){
		$("#sbkqy_result").html('');
		sbkqy();
	});
});



function sbkqy() {
	loading_show("数据加载中 ...");
	$.ajax({
		type : "POST",
		dataType : "json",
		data:{
			aab301:$("#AAB301").val()},
		url : baseUrl+'sbkgl/sbkqyAll.html',
		success : function(data) {
			if (data.information=="null"||!data.information) {
				$("#sbkqy_result").html(getInfoHtml("对不起，没有该人员的社保卡功能"));
				return;
			}
			var information=data.information;
			var messageArr = information.split("%");
			var insuranceList = ["企业职工养老保险","失业保险","城镇职工医疗保险","居民医疗保险","工伤保险","生育保险"];
			var html='<table><tr><th>险种</th><th>启动状态</th><th width="60px">说明</th></tr>';
			for(var i = 0; i<insuranceList.length; ++i){
				if(messageArr[i]=="success"){
					html +='<tr><td>'+insuranceList[i]+'</td><td><b class="success">成功</b></td><td></td></tr>';
					continue;
				}
				html +='<tr><td>'+insuranceList[i]+'</td><td><b class="fail">失败</b></td><td class="reason">查看原因</td></tr>';
				html +='<tr class="reason-info"><td colspan="3">'+messageArr[i]+'</td></tr>';
			}
			html +='</table>';
//			html += '<div class="person_info"  style="margin:20px 10px;"><div class="person_info_inline">';
//			html += '<div class="person_info_row" style="color:#333;"><div>企业职工养老保： </div><div>' + messageArr[0] + '</div></div>';
//			html += '<div class="person_info_row" style="color:#333;"><div>失业保险：  </div><div>' + messageArr[1]+ '</div></div>';
//			html += '<div class="person_info_row" style="color:#333;"><div>城镇职工医疗保险：  </div><div>' + messageArr[2] + '</div></div>';
//			html += '<div class="person_info_row" style="color:#333;"><div>居民医疗保险：  </div><div>' + messageArr[3] + '</div></div>';
//			html += '<div class="person_info_row" style="color:#333;"><div>工伤保险：  </div><div>' + messageArr[4] + '</div></div>';
//			html += '<div class="person_info_row" style="color:#333;"><div>生育保险：  </div><div>' + messageArr[5] + '</div></div>';
//			html += '</div></div>';
//			$("#sbkqy_result").html(getInfoHtml(information));
			$("#sbkqy_result").html(html);
			$('.reason').click(function(){
				if($(this).parent().next().css('display') == 'none'){
					$(".reason-info").hide();
					$(this).parent().next().css('display',"table-row");
				}else {
					$(this).parent().next().css('display',"none");
				}
			});
		},
		error : function() {
			//$("#sbkqy_result").html(getErrorHtml("访问服务器出错, 错误编码："+XMLHttpRequest.status));
			$("#sbkqy_result").html(getErrorHtml());
			loading_hide();
		},
		complete : function(XMLHttpRequest, textStatus) {
			loading_hide();
		}
	});
}