var isAlreadyLoadSydyff = false;
var sydyff_cpgage="1";
var sydyff_rownum="5";
var loadstate=true;
$("#sydyff").off("pageshow");
$("#sydyff").on("pageshow", function(event) {
	setDyffConditionDate();
	$("#date_1").val(getPrevYearMonth());
	$("#date_2").val(getNowYearMonth());
	$("#sydyff_btn").addClass("ui-btn-active");
	$("#sydyff_query").unbind('click'); 
	$("#sydyff_query").click(function(){
		check();
	});
	addDdlsydScroll();
});

function check(){
	var date1=$("#date_1").val();
	var date2=$("#date_2").val();
	if(date1==''&&date2!=''){
		$("#sydyff_result").html(getErrorHtml("请输入起始日期"));
		return;
	}
	if(date1!=''&&date2==''){
		$("#sydyff_result").html(getErrorHtml("请输入截止日期"));
		return;
	}
	if(date1>date2){
		$("#sydyff_result").html(getErrorHtml("起始日期不能大于截止日期"));
		return;
	}
	$("#load_msg").html('');
	$("#sydyff_result").html('');
	querySydyff(sydyff_cpgage);
}

function addDdlsydScroll() {
	$(document).on("scrollstop", function() {
		if (($(window).height() + $(window).scrollTop() + 10) >= $("#sydyff").height()&&loadstate&&isAlreadyLoadSydyff) {
			var page=parseInt($("#cpage").val())+1;
			if(isload(page,$("#totalnum").val(),"5")){
				querySydyff(page);
			}
			
		}
	});
}

$("#sydyff").on("pagebeforehide", function(event) {
	$(document).off("scrollstop");
});


function querySydyff(cpage) {
	loadstate=false;
	loading_show("数据加载中 ...");
	$.ajax({
		type : "POST",
		dataType : "json",
		data:{startDate:$("#date_1").val(),
			endDtae:$("#date_2").val(),
			rownum:"5",startrow:cpage},
		url : baseUrl+'sydy/querySydyffForJson.html',
		success : function(data) {
			if (!data.queryList) {
				$("#sydyff_result").html(getErrorMsgByResultHtml(data));
				return;
			}
			$("#cpage").val(data.startrow);
			$("#totalnum").val(data.totalnum);
			var list = data.queryList;
			var html = "";
			$.each(list, function(i, obj) {
				var AAE002=obj.AAE002,AAE003=obj.AAE003,AJC151=obj.AJC151,AJC076=obj.AJC076,BCC012=obj.BCC012,BCC006=obj.BCC006;
				html += '<div class="person_info"  style="margin:20px 10px;"><div class="person_info_inline">';
				html += '<div class="person_info_row" style="color:#333;"><div>应付年月：   </div><div>' + AAE002 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>实付年月：   </div><div>' + AAE003 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>失业保险金：  </div><div>' + AJC151 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>事业定期医疗补助：    </div><div>' + AJC076 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>其他待遇：    </div><div>' + BCC012 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>发放金额：  </div><div>' + BCC006 + '</div></div>';
				html += '</div></div>';
			});
			$("#sydyff_result").append(html);
			isAlreadyLoadSydyff = true;
			loadstate=true;
		},
		error : function(XMLHttpRequest, textStatus, errorThrown) {
			//$("#sydyff_result").html(getErrorHtml("访问服务器出错, 错误编码："+XMLHttpRequest.status));
			$("#sydyff_result").html(getErrorHtml());
			loading_hide();
		},
		complete : function(XMLHttpRequest, textStatus) {
			loading_hide();
		}
	});
}

function isload(cpage,totalnum,rownum){
	var totalpage=(totalnum%rownum==0)?(totalnum/rownum):(parseInt(totalnum/rownum)+1);
	if(cpage>totalpage){
		$("#load_msg").html(getInfoHtml("数据已全部加载完成"));
		return false;
	}
	return true;
}

function setDyffConditionDate(){
	var theme = "android-ics light", display = "bottom";
    	if (browser.versions.android) {
    		theme = "android-ics light";
    	} else if (browser.versions.iPad) {
    		theme = "ios";
    	} else if (browser.versions.iPhone) {
    		theme = "ios";
    		display = "bottom";
    	}
	
	$('#date_1, #date_2').mobiscroll().date({
		theme : theme,
		lang : 'zh',
		display : display,
		mode : 'scroller',
		dateOrder : 'yymm',
		dateFormat : 'yy-mm',
		showOnFocus : false
	});
}