﻿var isAlreadyLoadGzdz = false;
$("#gzdzcx").on("pageshow", function(event) {
	setDyffConditionDate();
	if (!isAlreadyLoadGzdz)
		$("#gzdz_query_btn").click(function(){
			queryGzdzd();
		});
});
$(document).ready(function(){
	var d = new Date();
	var Year = d.getFullYear()-1;
	$("#gzdz_aae001").val(Year);
	queryGzdzd()
});

function queryGzdzd() {
	loading_show("数据加载中 ...");
	$.ajax({
		type : "POST",
		dataType : "json",
		url : baseUrl+'ylbx/queryGzdzdForJson.html',
		data:{'aae001':$("#gzdz_aae001").val()},
		success : function(data) {
			if (!data.queryList) {
				$("#gzdz_infos").html(getErrorMsgByResultHtml(data));
				return;
			}
			var list = data.queryList;
			var html = "";
			$.each(list, function(i, obj) {
				var AAE001 = obj.AAE001,
				AIC079 = obj.AIC079,
				AIC042 = obj.AIC042,
				AAE097 = obj.AAE097,
				BIC001 = obj.BIC001,
				AAA031 = obj.AAA031,
				AAA041 = obj.AAA041,
				AIB003 = obj.AIB003,
				BIC002 = obj.BIC002,
				BIC003 = obj.BIC003,
				BIC004 = obj.BIC004;

				html += '<div class="person_info"  style="margin:20px 10px;"><div class="person_info_inline">';
					html += '<div class="person_info_row" style="color:#333;"><div>姓名：   </div><div>' + data.realName + '</div></div>';
                				html += '<div class="person_info_row" style="color:#333;"><div>身份证号：   </div><div>' + data.idCard + '</div></div>';
                html += '<div class="person_info_row" style="color:#333;"><div><strong>缴费年度：  </strong></div><div>' + AAE001 + '年</div></div>';
                html += '<div class="person_info_row" style="color:#333;"><div>本年缴费月数：  </div><div>' + AIC079 + '</div></div>';
                html += '<div class="person_info_row" style="color:#333;"><div>截止上年末累计缴费月份：  </div><div>' + AIC042 + '</div></div>';
                html += '<div class="person_info_row" style="color:#333;"><div>当年缴费基数：  </div><div>' + AAE097 + '</div></div>';
                html += '<div class="person_info_row" style="color:#333;"><div>当年记账金额： <i class="fa fa-rmb"></i></div><div>' + BIC001 + '</div></div>';
                html += '<div class="person_info_row" style="color:#333;"><div>利率： </div><div>' + AAA031 + '%</div></div>';
                html += '<div class="person_info_row" style="color:#333;"><div>当年个人缴费比例： </div><div>' + AAA041 + '</div></div>';
                html += '<div class="person_info_row" style="color:#333;"><div>当年个人缴费本金： <i class="fa fa-rmb"></i></div><div>' + AIB003 + '</div></div>';
                html += '<div class="person_info_row" style="color:#333;"><div>当年账户利息： </div><div>' + BIC002 + '</div></div>';
                html += '<div class="person_info_row" style="color:#333;"><div>至上年末个人账户累计储存： <i class="fa fa-rmb"></i></div><div>' + BIC003 + '</div></div>';
                html += '<div class="person_info_row" style="color:#333;"><div>至本年度个人账户累计储存： <i class="fa fa-rmb"></i></div><div>' + BIC004 + '</div></div>';
                html += '</div></div>';
			});
			$("#gzdz_infos").html(html);
			isAlreadyLoadGzdz = true;
		},
		error : function() {
			//$("#gzdz_infos").html(getErrorHtml("访问服务器出错, 错误编码："+XMLHttpRequest.status));
			$("#gzdz_infos").html(getErrorHtml());
		},
		complete : function(XMLHttpRequest, textStatus) {
			loading_hide();
		}
	});
}

function setDyffConditionDate(){
	var theme = "android-ics light", display = "bottom";
    	if (browser.versions.android) {
    		theme = "android-ics light";
    	} else if (browser.versions.iPad) {
    		theme = "ios";
    	} else if (browser.versions.iPhone) {
    		theme = "ios";
    		display = "bottom";
    	}
	
	$('#gzdz_aae001').mobiscroll().date({
		theme : theme,
		lang : 'zh',
		display : display,
		mode : 'scroller',
		dateOrder : 'yy',
		dateFormat : 'yy',
		showOnFocus : false
	});
}