var fybxcxPageIndex = 1, loadFybxcxEnd = true, isFybxcxLoading = false, isFybxcxCreateFirst = true;
var fybxqdPageIndex = 1, loadFybxqddEnd = true, isFybxqddLoading = false, isFybxqddCreateFirst = true, fybxqd_aae072 = "";
$("#fybxcx").on("pageshow", function(event) {
	if (isFybxcxCreateFirst) {
		isFybxcxCreateFirst = false;
		$("#fybxcx_aae030").val(getPrevYearDate());
		$("#fybxcx_aae031").val(getNowDate());
		$("#fybxcx_query_btn").click(function() {
			$("#fybxcx_infos").html("");
			fybxcxPageIndex = 1;
			queryFybxcx();
		});

//		$("#fybxcx_more").click(function() {
//			fybxcxScrollHandler();
//		});
	}

	setFybxcxConditionDate();
	addFybxcxScroll();
});

//$(document).on("pageshow","#fybxfj",function(){ // 当进入费用列表分解页面时
//	loading_show("数据加载中 ...");
//	});
//$(document).on("pageshow","#fybxqd",function(){ // 当进入费用列表清单页面时
//	loading_show("数据加载中 ...");
//	});

$("#fybxcx").on("pagebeforehide", function(event) {
	$(document).off("scrollstop");
});

function addFybxcxScroll() {
	$(document).on("scrollstop", function() {
		if (($(window).height() + $(window).scrollTop() + 10) >= $("#fybxcx").height()) {
			fybxcxScrollHandler();
		}
	});
}

$("#fybxcx").on("pagebeforehide", function(event) {
	$(document).off("scrollstop");
});

function queryFybxcx() {
	var aae030 = date10For8($("#fybxcx_aae030").val()), aae031 = date10For8($("#fybxcx_aae031").val());
	if (!checkFybxcxQueryCondition(aae030, aae031)) {
		return;
	}
	loading_show("数据加载中 ...");
	isFybxcxLoading = true;
	var pageSize = 10;
	$.ajax({
		type : "POST",
		dataType : "json",
		data : {
			"pageSize" : pageSize,
			"pageIndex" : fybxcxPageIndex,
			"aae030" : aae030,
			"aae031" : aae031
		},
		url : baseUrl+'yybx/queryFybxForJson.html',
		success : function(data) {
			if (!data.queryList&&!data.msg) {
				$("#fybxcx_infos").html(getErrorMsgByResultHtml(data));
				$("#fybxcx_more").hide();
				return;
			}
			if(data.msg=="noterminal"){
				$("#fybxcx_infos").html(getInfoHtml("在终端机认证后方可启用此功能"));
				return;
			}
			var list = data.queryList, totalNum = parseInt(data.totalNum);
			var html = "";
			$.each(list, function(i, obj) {
				var AAE072 = obj.AAE072, AKB021 = obj.AKB021, AAE036 = date8For10(obj.AAE036), AKC264 = obj.AKC264,AKA150 = obj.AKA150,AKA121 = obj.AKA121;
				html += '<div class="person_info"  style="margin:20px 10px;"><div class="person_info_inline">';
				html += '<div class="person_info_row" style="color:#333;"><div>单据流水号：   </div><div>' + AAE072 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>服务网点名称：   </div><div>' + AKB021 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>实际收费日期：  </div><div>' + AAE036 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>总费用：<i class="fa fa-jpy"></i></div><div>¥' + AKC264 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>本次住院次数：  </div><div>' + AKA150 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>病情名称：    </div><div>' + AKA121 + '</div></div>';
				html += '<div class="ui-field-contain ui-field-contain-txt ui-grid-a">'
					 +'<div class="ui-block-a"><a href="#fybxfj" class="ui-link ui-btn ui-shadow ui-corner-all">分解</a></div>'
					 +'<div class="ui-block-b"><a href="#fybxqd" class="ui-link ui-btn ui-shadow ui-corner-all">清单</a></div>'
					 +'</div>';
				html += '</div></div>';
			});
			if (fybxcxPageIndex == 1)
				$("#fybxcx_infos").html(html);
			else
				$("#fybxcx_infos").append(html);
			
			
			var loadpage = (fybxcxPageIndex - 1) * pageSize;
			var btn_left = $("#fybxcx_infos").find("a[href='#fybxfj']");
			var btn_right = $("#fybxcx_infos").find("a[href='#fybxqd']");
			
			$.each(list, function(i, obj) {
				$(btn_left[i + loadpage]).click(function() {
					$("#fybxfj_content").html("");
					queryFybxfj(obj.AAE072);
				});
			});
			$.each(list, function(i, obj) {
				$(btn_right[i + loadpage]).click(function() {
				    $("#fybxqd_more").hide();
					$("#fybxqd_infos").html("");
					fybxqd_aae072 = obj.AAE072;
					$("#fybxqd_lsh").html("单据流水号："+ fybxqd_aae072);
					mzydqdPageIndex=1;
					queryFybxqdd();
					addFybxqddScroll();
					
					if (isFybxqddCreateFirst) {
						isFybxqddCreateFirst = false;
//						$("#fybxqd_more").click(function() {
//							fybxqdScrollHandler();
//						});
					}
				});
			});
			
			loadFybxcxEnd = isLoadEnd(pageSize, fybxcxPageIndex, totalNum);
			if (loadFybxcxEnd) {
				$("#fybxcx_infos").append(getSuccessHtml('数据已全部加载完成'));
				$("#fybxcx_more").hide();
			} else
//				$("#fybxcx_more").show();
			fybxcxPageIndex++;
			isFybxcxLoading = false;
		},
		error : function(XMLHttpRequest, textStatus, errorThrown) {
			//$("#fybxcx_infos").html(getErrorHtml("访问服务器出错, 错误编码："+XMLHttpRequest.status));
			$("#fybxcx_infos").html(getErrorHtml());
			$("#fybxcx_more").hide();
		},
		complete : function(XMLHttpRequest, textStatus) {
			loading_hide();
		}
	});
}

function addFybxqddScroll() {
	$(document).on("scrollstop", function() {
		if (($(window).height() + $(window).scrollTop() + 10) >= $("#fybxqd").height()) {
			fybxqdScrollHandler();
		}
	});
}

function queryFybxqdd() {
//	loading_show("数据加载中 ...");
	isFybxqddLoading = true;
	var pageSize = 10;
	$.ajax({
		type : "POST",
		dataType : "json",
		data : {
			"pageSize" : pageSize,
			"pageIndex" : fybxqdPageIndex,
			"aae072" : fybxqd_aae072
		},
		url : baseUrl+'yybx/queryFybxqdForJson.html',
		success : function(data) {
			if (!data.queryList) {
				$("#fybxqd_infos").html(getErrorMsgByResultHtml(data));
				$("#fybxqd_more").hide();
				return;
			}
			var list = data.queryList, totalNum = parseInt(data.totalNum);
			var html = "";
			$.each(list, function(i, obj) {
				var AKA060 = obj.AKA060, AKA061 = obj.AKA061, AKA027 = obj.AKA027, 
					AKA074 = obj.AKA074, AKA070 = obj.AKA070, AKA067 = obj.AKA067, 
					AKC225 = obj.AKC225, AKC226 = obj.AKC226, AKC227 = obj.AKC227, 
					AKA069 = obj.AKA069;
				html += '<div class="person_info"  style="margin:20px 10px;"><div class="person_info_inline">';
				html += '<div class="person_info_row" style="color:#333;"><div>项目编号：   </div><div>' + AKA060 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>项目名称：   </div><div>' + AKA061 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>发票项目名称：  </div><div>' + AKA027 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>规格：   </div><div>' + AKA074 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>剂型：   </div><div>' + AKA070 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>项目单位：    </div><div>' + AKA067 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>项目单价：    </div><div>' + AKC225 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>项目数量：    </div><div>' + AKC226 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>项目金额：<i class="fa fa-jpy"></i> </div><div>' + AKC227 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>个人自付比例：    </div><div>' + AKA069 + '</div></div>';
				html += '</div></div>';
			});
			if (fybxqdPageIndex == 1)
				$("#fybxqd_infos").html(html);
			else
				$("#fybxqd_infos").append(html);
			loadFybxqddEnd = isLoadEnd(pageSize, fybxqdPageIndex, totalNum);
			if (loadFybxqddEnd) {
				$("#fybxqd_infos").append(getSuccessHtml('数据已全部加载完成'));
				$("#fybxqd_more").hide();
			} else
//				$("#fybxqd_more").show();
			fybxqdPageIndex++;
			isFybxqddLoading = false;
		},
		error : function(XMLHttpRequest, textStatus, errorThrown) {
			//$("#fybxqd_infos").html(getErrorHtml('访问服务器出错, 错误编码：' + XMLHttpRequest.status));
			$("#fybxqd_infos").html(getErrorHtml());
			$("#fybxqd_more").hide();
		},
		complete : function(XMLHttpRequest, textStatus) {
			loading_hide();
		}
	});
}

function fybxqdScrollHandler() {
	if (loadFybxqddEnd || isFybxqddLoading)
		return;
	queryFybxqdd();
}

function queryFybxfj(aae072) {
//	loading_show("数据加载中 ...");
	$.ajax({
		type : "POST",
		dataType : "json",
		data : {
			"aae072" : aae072
		},
		url : baseUrl+'yybx/queryFybxfjForJson.html',
		success : function(data) {
			if (!data.queryList) {
				$("#fybxfj_content").html(getErrorMsgByResultHtml(data));
				return;
			}
			var html = "";
			var list = data.queryList;
			if (list.length > 0) {
				var obj = list[0];
				var AAC003 = obj.AAC003,AAC001 = obj.AAC001,AKC191 = obj.AKC191,AKA101 = obj.AKA101,
					AKB021 = obj.AKB021,AKC192 = obj.AKC192,AKC194 = obj.AKC194,AAE036 = obj.AAE036,
					AKC021 = obj.AKC021,AKA130 = obj.AKA130,AAD127 = obj.AAD127,AAD131 = obj.AAD131,
					AKC264 = obj.AKC264,AKC228 = obj.AKC228,BKC001 = obj.BKC001,BKC002 = obj.BKC002,
					BKC003 = obj.BKC003,AKB066 = obj.AKB066,AKB067 = obj.AKB067,BKC068 = obj.BKC068,
					BKC005 = obj.BKC005,AKE072 = obj.AKE072,BKC006 = obj.BKC006,AKC268 = obj.AKC268,
					AKC087 = obj.AKC087;

				html += '<div class="person_info"  style="margin:20px 10px;"><div class="person_info_inline">';
				html += '<div class="person_info_row" style="color:#333;"><div>姓名：   </div><div>' + AAC003 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>医疗保险：   </div><div>' + AAC001 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>医疗方式：   </div><div>' + getCodeValue("akc191", AKC191) + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>医院级别：   </div><div>' + getCodeValue("aka101", AKA101) + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>网点名称：   </div><div>' + AKB021 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>入院日期：   </div><div>' + AKC192 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>出院日期：   </div><div>' + AKC194 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>报销日期：   </div><div>' + AAE036 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>医疗人员类别：    </div><div>' + getCodeValue("akc021", AKC021) + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>医疗类别：   </div><div>' + getCodeValue("aka130", AKA130) + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>发票张数：   </div><div>' + AAD127 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>发票凭证：   </div><div>' + AAD131 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>发票金额：   </div><div>' + AKC264 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>自付金额：   </div><div>' + AKC228 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>其中甲类金额：    </div><div>' + BKC001 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>其中乙类金额：    </div><div>' + BKC002 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>其中非医保金额：   </div><div>' + BKC003 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>个人账户支付额：    </div><div>' + AKB066 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>现金支付额：   </div><div>' + AKB067 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>基本统筹基金支付额：   </div><div>' + BKC068 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>大病统筹基金支付额：   </div><div>' + BKC005 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>公务员补助：   </div><div>' + AKE072 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>乙类自付金额：  </div><div>' + BKC006 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>超封顶线费用：  </div><div>' + AKC268 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>个人账户余额：  </div><div>' + AKC087 + '</div></div>';
				html += '</div></div>';
				$("#fybxfj_content").html(html);
			} else
				$("#fybxfj_content").html(getInfoHtml("查询不到相关信息"));
		},
		error : function(XMLHttpRequest, textStatus, errorThrown) {
			//$("#fybxfj_content").html(getErrorHtml('访问服务器出错, 错误编码：' + XMLHttpRequest.status));
			$("#fybxfj_content").html(getErrorHtml());
		},
		complete : function(XMLHttpRequest, textStatus) {
			loading_hide();
		}
	});
}

function fybxcxScrollHandler() {
	if (loadFybxcxEnd || isFybxcxLoading)
		return;
	queryFybxcx();
}

function setFybxcxConditionDate() {
	var theme = "android-ics light", display = "bottom";
    	if (browser.versions.android) {
    		theme = "android-ics light";
    	} else if (browser.versions.iPad) {
    		theme = "ios";
    	} else if (browser.versions.iPhone) {
    		theme = "ios";
    		display = "bottom";
    	}

	$('#fybxcx_aae030, #fybxcx_aae031').mobiscroll().date({
		theme : theme,
		lang : 'zh',
		display : display,
		mode : 'scroller',
		dateOrder : 'yymmdd',
		dateFormat : 'yy-mm-dd',
		showOnFocus : false
	});
}

function checkFybxcxQueryCondition(aae030, aae031) {
	if (aae030 == "") {
		$("#fybxcx_infos").html(getErrorHtml('开始时间不能为空'));
		return false;
	}
	if (aae031 == "") {
		$("#fybxcx_infos").html(getErrorHtml('截止时间不能为空'));
		return false;
	}
	
	if (aae030 > aae031) {
		$("#fybxcx_infos").html(getErrorHtml('开始时间不能大于截止时间'));
		return false;
	}
	
	return true;
}