var mzydfyPageIndex = 1, loadMzydfyEnd = true, isMzydfyLoading = false, isMzydfyCreateFirst = true;
var mzydqdPageIndex = 1, loadMzydqdEnd = true, isMzydqdLoading = false, isMzydqdCreateFirst = true, mzydqd_aae072 = "";
var loadData=''
$("#mzydfy").on("pageshow", function(event) {
	if (isMzydfyCreateFirst) {
		isMzydfyCreateFirst = false;
		$("#mzydfy_aae030").val(getPrevYearDate());
		$("#mzydfy_aae031").val(getNowDate());
		$("#mzydfy_query_btn").click(function() {
			$("#mzydfy_infos").html("");
			mzydfyPageIndex = 1;
			queryMzydfy();
		});

//		$("#mzydfy_more").click(function() {
//			mzydfyScrollHandler();
//		});
	}

	setMzydfyConditionDate();
	addMzydfyScroll();
});

//$(document).on("pageshow","#mzydfj",function(){ // 当进入门诊药店费用分解页面时
//	loading_show("数据加载中 ...");
//	});
//$(document).on("pageshow","#mzydqd",function(){ // 当进入门诊药店费用清单页面时
//	loading_show("数据加载中 ...");
//	});

$("#mzydfy").on("pagebeforehide", function(event) {
	$(document).off("scrollstop");
});

function addMzydfyScroll() {
	$(document).on("scrollstop", function() {
		if (($(window).height() + $(window).scrollTop() + 10) >= $("#mzydfy").height()) {
			mzydfyScrollHandler();
		}
	});
}

$("#mzydfy").on("pagebeforehide", function(event) {
	$(document).off("scrollstop");
});

function queryMzydfy() {
	var aae030 = date10For8($("#mzydfy_aae030").val()), aae031 = date10For8($("#mzydfy_aae031").val());
	if (!checkMzydfyQueryCondition(aae030, aae031)) {
		return;
	}
	loading_show("数据加载中 ...");
	isMzydfyLoading = true;
	var pageSize = 10;
	$.ajax({
		type : "POST",
		dataType : "json",
		data : {
			"pageSize" : pageSize,
			"pageIndex" : mzydfyPageIndex,
			"aae030" : aae030,
			"aae031" : aae031
		},
		url : baseUrl+'yybx/queryMzydfyForJson.html',
		success : function(data) {
			if(mzydfyPageIndex=="1"){
				loadData=data.queryList;
			}else{
				for(var i=0;i<data.queryList.length;i++){
					loadData.push(data.queryList[i]);
				}
			}
			if (!data.queryList&&!data.msg) {
				$("#mzydfy_infos").html(getErrorMsgByResultHtml(data));
				$("#mzydfy_more").hide();
				return;
			}
			if(data.msg=="noterminal"){
				$("#mzydfy_infos").html(getInfoHtml("在终端机认证后方可启用此功能"));
				return;
			}
			var list =loadData, totalNum = parseInt(data.totalNum);
			var html = "";
			$.each(list, function(i, obj) {
				var AAE072 = obj.AAE072, AKB021 = obj.AKB021, AAE036 = date8For10(obj.AAE036), AKC264 = obj.AKC264;
				html += '<div class="person_info"  style="margin:20px 10px;"><div class="person_info_inline">';
				html += '<div class="person_info_row" style="color:#333;"><div>单据流水号：   </div><div>' + AAE072 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>服务网点名称：   </div><div>' + AKB021 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>实际收费日期：  </div><div>' + AAE036 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>总费用：<i class="fa fa-jpy"></i> </div><div>¥' + AKC264 + '</div></div>';
				html += '<div class="ui-field-contain ui-field-contain-txt ui-grid-a">'
					 +'<div class="ui-block-a"><a data-ajax="true" href="#mzydfj" class="ui-link ui-btn ui-shadow ui-corner-all" data-mini="true">分解</a></div>'
					 +'<div class="ui-block-b"><a data-ajax="true" href="#mzydqd" class="ui-link ui-btn ui-shadow ui-corner-all" data-mini="true">清单</a></div>'
					 +'</div>';
				html += '</div></div>';
			});
			if (mzydfyPageIndex == 1)
				$("#mzydfy_infos").html(html);
			else
				$("#mzydfy_infos").append(html);
			
			var loadpage = (mzydfyPageIndex - 1) * pageSize;
			var btn_left = $("#mzydfy_infos").find("a[href='#mzydfj']");
			var btn_right = $("#mzydfy_infos").find("a[href='#mzydqd']");
			
			$.each(list, function(i, obj) {
				var data = obj;
//				if (isTipHide) {
//					loadpage = loadpage + 1;
//				}
				$(btn_left[i + loadpage]).click(function() {
					$("#mzydfj_content").html("");
					queryMzydfj(obj.AAE072);
				});
			});
			$.each(list, function(i, obj) {
				var data = obj;
//				if (isTipHide) {
//					loadpage = loadpage + 1;
//				}
				$(btn_right[i + loadpage]).click(function() {
				    $("#mzydqd_more").hide();
					$("#mzydqd_infos").html("");
					mzydqd_aae072 = obj.AAE072;
					$("#mzydqd_lsh").html("单据流水号："+ mzydqd_aae072);
					mzydqdPageIndex=1;
					queryMzydqd();
					addMzydqdScroll();
					
					if (isMzydqdCreateFirst) {
						isMzydqdCreateFirst = false;
//						$("#mzydqd_more").click(function() {
//							mzydqdScrollHandler();
//						});
					}
				});
			});
//			var btn = $("#mzydfy_infos").find("a[href='#mzydfj']");
//			btn.each(list, function(i, obj){
//				var $this = $(this);
//				$this.click(function(){
//						queryMzydfj(obj.AAE072);
//					});
//			});
			
			loadMzydfyEnd = isLoadEnd(pageSize, mzydfyPageIndex, totalNum);
			if (loadMzydfyEnd) {
				$("#mzydfy_infos").append(getSuccessHtml('数据已全部加载完成'));
				$("#mzydfy_more").hide();
			} else
//				$("#mzydfy_more").show();
			mzydfyPageIndex++;
			isMzydfyLoading = false;
			},
		error : function(XMLHttpRequest, textStatus, errorThrown) {
			//$("#mzydfy_infos").html(getErrorHtml("访问服务器出错, 错误编码："+XMLHttpRequest.status));
			$("#mzydfy_infos").html(getErrorHtml());
			$("#mzydfy_more").hide();
		},
		complete : function(XMLHttpRequest, textStatus) {
			loading_hide();
		}
	});
}

function addMzydqdScroll() {
	$(document).on("scrollstop", function() {
		if (($(window).height() + $(window).scrollTop() + 10) >= $("#mzydqd").height()) {
			mzydqdScrollHandler();
		}
	});
}

function queryMzydqd() {
//	loading_show("数据加载中 ...");
	isMzydqdLoading = true;
	var pageSize = 10;
	$.ajax({
		type : "POST",
		dataType : "json",
		data : {
			"pageSize" : pageSize,
			"pageIndex" : mzydqdPageIndex,
			"aae072" : mzydqd_aae072
		},
		url : baseUrl+'yybx/queryMzydqdForJson.html',
		success : function(data) {
			if (!data.queryList) {
				$("#mzydqd_infos").html(getErrorMsgByResultHtml(data));
				$("#mzydqd_more").hide();
				return;
			}
			var list = data.queryList, totalNum = parseInt(data.totalNum);
			var html = "";
			$.each(list, function(i, obj) {
				var AKA060 = obj.AKA060, AKA061 = obj.AKA061, AKA027 = obj.AKA027, 
					AKA074 = obj.AKA074, AKA070 = obj.AKA070, AKA067 = obj.AKA067, 
					AKC225 = obj.AKC225, AKC226 = obj.AKC226, AKC227 = obj.AKC227, 
					AKA069 = obj.AKA069;
				html += '<div class="person_info"  style="margin:20px 10px;"><div class="person_info_inline">';
				html += '<div class="person_info_row" style="color:#333;"><div>项目编号：   </div><div>' + AKA060 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>项目名称：   </div><div>' + AKA061 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>发票项目名称：  </div><div>' + AKA027 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>规格：   </div><div>' + AKA074 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>剂型：   </div><div>' + AKA070 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>项目单位：    </div><div>' + AKA067 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>项目单价：   </div><div>' + AKC225 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>项目数量：   </div><div>' + AKC226 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>项目金额：<i class="fa fa-jpy"></i> </div><div>' + AKC227 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>个人自付比例：   </div><div>' + AKA069 + '</div></div>';
				html += '</div></div>';
			});
			if (mzydqdPageIndex == 1)
				$("#mzydqd_infos").html(html);
			else
				$("#mzydqd_infos").append(html);
			loadMzydqdEnd = isLoadEnd(pageSize, mzydqdPageIndex, totalNum);
			if (loadMzydqdEnd) {
				$("#mzydqd_infos").append(getSuccessHtml('数据已全部加载完成'));
				$("#mzydqd_more").hide();
			} else
//				$("#mzydqd_more").show();
			mzydqdPageIndex++;
			isMzydqdLoading = false;
		},
		error : function(XMLHttpRequest, textStatus, errorThrown) {
			//$("#mzydqd_infos").html(getErrorHtml("访问服务器出错, 错误编码："+XMLHttpRequest.status));
			$("#mzydqd_infos").html(getErrorHtml());
			$("#mzydqd_more").hide();
		},
		complete : function(XMLHttpRequest, textStatus) {
			loading_hide();
		}
	});
}

function mzydqdScrollHandler() {
	if (loadMzydqdEnd || isMzydqdLoading)
		return;
	queryMzydqd();
}
////存入当前点击数据
//function loadNext(list, detailUrl, url, content) {
//	var loadpage = (ajax.cpage - 1) * ajax.rows;
//	var btn = $("#" + content + "").find("a[href='#detailPage1']");
//	$.each(list, function(i, obj) {
//		var data = obj;
////		if (isTipHide) {
////			loadpage = loadpage + 1;
////		}
//		$(btn[i + loadpage]).click(function() {
//			$("#detail1").html('');
//			ajaxDetail.reset();
//			sessionStorage.url = url;
//			sessionStorage.detailUrl = detailUrl;
//			sessionStorage.detailUrlValue = data[detailUrl];
//			queryDetail();
//		});
//	});
//}


function queryMzydfj(aae072) {
//	loading_show("数据加载中 ...");
	$.ajax({
		type : "POST",
		dataType : "json",
		data : {
			"aae072" : aae072
		},
		url : baseUrl+'yybx/queryMzydfjForJson.html',
		success : function(data) {
			if (!data.queryList) {
				$("#mzydfj_content").html(getErrorMsgByResultHtml(data));
				return;
			}
			var html = "";
			var list = data.queryList;
			if (list.length > 0) {
				var obj = list[0];
				var AKB021 = obj.AKB021, AAC003 = obj.AAC003, AAC001 = obj.AAC001, BKC004 = obj.BKC004, 
					AKC021 = obj.AKC021, AKC264 = obj.AKC264, BKC001 = obj.BKC001, BKC002 = obj.BKC002, 
					BKC003 = obj.BKC003, AKB066 = obj.AKB066, AKB067 = obj.AKB067, AKB068 = obj.AKB068, 
					BKC005 = obj.BKC005, AKE072 = obj.AKE072, BKC006 = obj.BKC006, AKC268 = obj.AKC268, 
					AKC087 = obj.AKC087;
				
				html += '<div class="person_info"  style="margin:20px 10px;"><div class="person_info_inline">';
				html += '<div class="person_info_row" style="color:#333;"><div>服务网点名称：  </div><div>' + AKB021 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>姓名：  </div><div>' + AAC003 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>医疗保险：  </div><div>' + AAC001 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>收费时间：   </div><div>' + BKC004 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>医疗人员类别：  </div><div>' + getCodeValue("akc021", AKC021) + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>总费用：    </div><div>' + AKC264 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>其中甲类金额：   </div><div>' + BKC001 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>其中乙类金额：   </div><div>' + BKC002 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>其中非医保金额：   </div><div>' + BKC003 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>个人账户支付：    </div><div>' + AKB066 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>现金支付：   </div><div>' + AKB067 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>基本统筹基金支付：   </div><div>' + AKB068 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>大病统筹基金支付：  </div><div>' + BKC005 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>公务员补助：   </div><div>' + AKE072 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>乙类自付金额：  </div><div>' + BKC006 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>超封顶线费用：    </div><div>' + AKC268 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>个人账户余额：   </div><div>' + AKC087 + '</div></div>';
				html += '</div></div>';
				$("#mzydfj_content").html(html);
			} else
				$("#mzydfj_content").html(getInfoHtml("查询不到相关信息"));
		},
		error : function(XMLHttpRequest, textStatus, errorThrown) {
			//$("#mzydfj_content").html(getErrorHtml('访问服务器出错, 错误编码：' + XMLHttpRequest.status));
			$("#mzydfj_content").html(getErrorHtml());
		},
		complete : function(XMLHttpRequest, textStatus) {
			loading_hide();
		}
	});
}

function mzydfyScrollHandler() {
	if (loadMzydfyEnd || isMzydfyLoading)
		return;
	queryMzydfy();
}

function setMzydfyConditionDate() {
	var theme = "android-ics light", display = "bottom";
    	if (browser.versions.android) {
    		theme = "android-ics light";
    	} else if (browser.versions.iPad) {
    		theme = "ios";
    	} else if (browser.versions.iPhone) {
    		theme = "ios";
    		display = "bottom";
    	}

	$('#mzydfy_aae030, #mzydfy_aae031').mobiscroll().date({
		theme : theme,
		lang : 'zh',
		display : display,
		mode : 'scroller',
		dateOrder : 'yymmdd',
		dateFormat : 'yy-mm-dd',
		showOnFocus : false
	});
}

function checkMzydfyQueryCondition(aae030, aae031) {
	if (aae030 == "") {
		$("#mzydfy_infos").html(getErrorHtml('开始时间不能为空'));
		return false;
	}
	if (aae031 == "") {
		$("#mzydfy_infos").html(getErrorHtml('截止时间不能为空'));
		return false;
	}
	
	if (aae030 > aae031) {
		$("#mzydfy_infos").html(getErrorHtml('开始时间不能大于截止时间'));
		return false;
	}
	
	return true;
}