var zyfycxPageIndex = 1, loadZyfycxEnd = true, isZyfycxLoading = false, isZyfycxCreateFirst = true;
var zyfyqdPageIndex = 1, loadZyfyqdEnd = true, isZyfyqdLoading = false, isZyfyqdCreateFirst = true, zyfyqd_aae072 = "";
$("#zyfycx").on("pageshow", function(event) {
	if (isZyfycxCreateFirst) {
		isZyfycxCreateFirst = false;
		$("#zyfycx_aae030").val(getPrevYearDate());
		$("#zyfycx_aae031").val(getNowDate());
		$("#zyfycx_query_btn").click(function() {
			$("#zyfycx_infos").html("");
			zyfycxPageIndex = 1;
			queryZyfycx();
		});

//		$("#zyfycx_more").click(function() {
//			zyfycxScrollHandler();
//		});
	}

	setZyfycxConditionDate();
	addZyfycxScroll();
});

//$(document).on("pageshow","#zyfyfj",function(){ // 当进入住院费用分解页面时
//	loading_show("数据加载中 ...");
//	});
//$(document).on("pageshow","#zyfyqd",function(){ // 当进入住院费用清单页面时
//	loading_show("数据加载中 ...");
//	});

$("#zyfycx").on("pagebeforehide", function(event) {
	$(document).off("scrollstop");
});

function addZyfycxScroll() {
	$(document).on("scrollstop", function() {
		if (($(window).height() + $(window).scrollTop() + 10) >= $("#zyfycx").height()) {
			zyfycxScrollHandler();
		}
	});
}

$("#zyfycx").on("pagebeforehide", function(event) {
	$(document).off("scrollstop");
});

function queryZyfycx() {
	var aae030 = date10For8($("#zyfycx_aae030").val()), aae031 = date10For8($("#zyfycx_aae031").val());
	if (!checkZyfycxQueryCondition(aae030, aae031)) {
		return;
	}
	loading_show("数据加载中 ...");
	isZyfycxLoading = true;
	var pageSize = 10;
	$.ajax({
		type : "POST",
		dataType : "json",
		data : {
			"pageSize" : pageSize,
			"pageIndex" : zyfycxPageIndex,
			"aae030" : aae030,
			"aae031" : aae031
		},
		url : baseUrl+'yybx/queryZyfyForJson.html',
		success : function(data) {
			if (!data.queryList&&!data.msg) {
				$("#zyfycx_infos").html(getErrorMsgByResultHtml(data));
				$("#zyfycx_more").hide();
				return;
			}
			if(data.msg=="noterminal"){
				$("#zyfycx_infos").html(getInfoHtml("在终端机认证后方可启用此功能"));
				return;
			}
			var list = data.queryList, totalNum = parseInt(data.totalNum);
			var html = "";
			$.each(list, function(i, obj) {
				var AAE072 = obj.AAE072, AKB021 = obj.AKB021, AAE036 = date8For10(obj.AAE036), AKC264 = obj.AKC264,AKA121 = obj.AKA121;
				html += '<div class="person_info"  style="margin:20px 10px;"><div class="person_info_inline">';
				html += '<div class="person_info_row" style="color:#333;"><div>单据流水号：   </div><div>' + AAE072 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>服务网点名称：    </div><div>' + AKB021 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>实际收费日期：  </div><div>' + AAE036 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>总费用：<i class="fa fa-jpy"></i> </div><div>¥' + AKC264 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>病情名称：   </div><div>' + AKA121 + '</div></div>';
				html += '<div class="ui-field-contain ui-field-contain-txt ui-grid-a">'
					 +'<div class="ui-block-a"><a href="#zyfyfj" class="ui-link ui-btn ui-shadow ui-corner-all">分解</a></div>'
					 +'<div class="ui-block-b"><a href="#zyfyqd" class="ui-link ui-btn ui-shadow ui-corner-all">清单</a></div>'
					 +'</div>';
				html += '</div></div>';
			});
			if (zyfycxPageIndex == 1)
				$("#zyfycx_infos").html(html);
			else
				$("#zyfycx_infos").append(html);
			
			var loadpage = (zyfycxPageIndex - 1) * pageSize;
			var btn_left = $("#zyfycx_infos").find("a[href='#zyfyfj']");
			var btn_right = $("#zyfycx_infos").find("a[href='#zyfyqd']");
			
			$.each(list, function(i, obj) {
				$(btn_left[i + loadpage]).click(function() {
					$("#zyfyfj_content").html("");
					queryZyfyfj(obj.AAE072);
				});
			});
			$.each(list, function(i, obj) {
				$(btn_right[i + loadpage]).click(function() {
				    $("#zyfyqd_more").hide();
					$("#zyfyqd_infos").html("");
					zyfyqd_aae072 = obj.AAE072;
					$("#zyfyqd_lsh").html("单据流水号："+ zyfyqd_aae072);
					mzydqdPageIndex=1;
					queryZyfyqd();
					addZyfyqdScroll();
					
					if (isZyfyqdCreateFirst) {
						isZyfyqdCreateFirst = false;
//						$("#zyfyqd_more").click(function() {
//							zyfyqdScrollHandler();
//						});
					}
				});
			});
			
			
			loadZyfycxEnd = isLoadEnd(pageSize, zyfycxPageIndex, totalNum);
			if (loadZyfycxEnd) {
				$("#zyfycx_infos").append(getSuccessHtml('数据已全部加载完成'));
				$("#zyfycx_more").hide();
			} else
//				$("#zyfycx_more").show();
			zyfycxPageIndex++;
			isZyfycxLoading = false;
		},
		error : function(XMLHttpRequest, textStatus, errorThrown) {
			//$("#zyfycx_infos").html(getErrorHtml("访问服务器出错, 错误编码："+XMLHttpRequest.status));
			$("#zyfycx_infos").html(getErrorHtml());
			$("#zyfycx_more").hide();
		},
		complete : function(XMLHttpRequest, textStatus) {
			loading_hide();
		}
	});
}

function queryZyfyfj(aae072) {
//	loading_show("数据加载中 ...");
	$.ajax({
		type : "POST",
		dataType : "json",
		data : {
			"aae072" : aae072
		},
		url : baseUrl+'yybx/queryZyfyfjForJson.html',
		success : function(data) {
			if (!data.queryList) {
				$("#zyfyfj_content").html(getErrorMsgByResultHtml(data));
				return;
			}
			var html = "";
			var list = data.queryList;
			if (list.length > 0) {
				var obj = list[0];
				var AKB021 = obj.AKB021, AAC003 = obj.AAC003, AAC001 = obj.AAC001, AKC192 = obj.AKC192,
					AKC194 = obj.AKC194, BKC004 = obj.BKC004, AKC021 = obj.AKC021, AKC264 = obj.AKC264, 
					BKC001 = obj.BKC001, BKC002 = obj.BKC002, BKC003 = obj.BKC003, AKB066 = obj.AKB066, 
					AKB067 = obj.AKB067, BKC068 = obj.BKC068, BKC005 = obj.BKC005, AKE072 = obj.AKE072, 
					BKC006 = obj.BKC006, AKC268 = obj.AKC268, AKC087 = obj.AKC087;
				html += '<div class="person_info"  style="margin:20px 10px;"><div class="person_info_inline">';
				html += '<div class="person_info_row" style="color:#333;"><div>服务网点名称：  </div><div>' + AKB021 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>姓名：  </div><div>' + AAC003 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>医疗保险：  </div><div>' + AAC001 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>入院日期：   </div><div>' + AKC192 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>出院日期：   </div><div>' + AKC194 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>收费时间：   </div><div>' + BKC004 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>医疗人员类别：  </div><div>' + getCodeValue("akc021", AKC021) + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>总费用：    </div><div>' + AKC264 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>其中甲类金额：   </div><div>' + BKC001 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>其中乙类金额：   </div><div>' + BKC002 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>其中非医保金额：   </div><div>' + BKC003 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>个人账户支付：    </div><div>' + AKB066 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>现金支付：   </div><div>' + AKB067 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>基本统筹基金支付：   </div><div>' + BKC068 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>大病统筹基金支付：  </div><div>' + BKC005 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>公务员补助：   </div><div>' + AKE072 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>乙类自付金额：  </div><div>' + BKC006 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>超封顶线费用：    </div><div>' + AKC268 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>个人账户余额：   </div><div>' + AKC087 + '</div></div>';
				html += '</div></div>';
				$("#zyfyfj_content").html(html);
			} else
				$("#zyfyfj_content").html(getInfoHtml("查询不到相关信息"));
		},
		error : function(XMLHttpRequest, textStatus, errorThrown) {
			//$("#zyfyfj_content").html(getErrorHtml("访问服务器出错, 错误编码："+XMLHttpRequest.status));
			$("#zyfyfj_content").html(getErrorHtml());
		},
		complete : function(XMLHttpRequest, textStatus) {
			loading_hide();
		}
	});
}

function addZyfyqdScroll() {
	$(document).on("scrollstop", function() {
		if (($(window).height() + $(window).scrollTop() + 10) >= $("#zyfyqd").height()) {
			zyfyqdScrollHandler();
		}
	});
}
function queryZyfyqd() {
//	loading_show("数据加载中 ...");
	isZyfyqdLoading = true;
	var pageSize = 10;
	$.ajax({
		type : "POST",
		dataType : "json",
		data : {
			"pageSize" : pageSize,
			"pageIndex" : zyfyqdPageIndex,
			"aae072" : zyfyqd_aae072
		},
		url : baseUrl+'yybx/queryZyfyqdForJson.html',
		success : function(data) {
			if (!data.queryList) {
				$("#zyfyqd_infos").html(getErrorMsgByResultHtml(data));
				$("#zyfyqd_more").hide();
				return;
			}
			var list = data.queryList, totalNum = parseInt(data.totalNum);
			var html = "";
			$.each(list, function(i, obj) {
				var AKA060 = obj.AKA060, AKA061 = obj.AKA061, AKA027 = obj.AKA027, 
					AKA074 = obj.AKA074, AKA070 = obj.AKA070, AKA067 = obj.AKA067, 
					AKC225 = obj.AKC225, AKC226 = obj.AKC226, AKC227 = obj.AKC227, 
					AKA069 = obj.AKA069;
				html += '<div class="person_info"  style="margin:20px 10px;"><div class="person_info_inline">';
				html += '<div class="person_info_row" style="color:#333;"><div>项目编号：   </div><div>' + AKA060 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>项目名称：   </div><div>' + AKA061 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>发票项目名称：  </div><div>' + AKA027 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>规格：   </div><div>' + AKA074 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>剂型：   </div><div>' + AKA070 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>项目单位：    </div><div>' + AKA067 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>项目单价：   </div><div>' + AKC225 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>项目数量：   </div><div>' + AKC226 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>项目金额：<i class="fa fa-jpy"></i> </div><div>' + AKC227 + '</div></div>';
				html += '<div class="person_info_row" style="color:#333;"><div>个人自付比例：   </div><div>' + AKA069 + '</div></div>';
				html += '</div></div>';
			});
			if (zyfyqdPageIndex == 1)
				$("#zyfyqd_infos").html(html);
			else
				$("#zyfyqd_infos").append(html);
			loadZyfyqdEnd = isLoadEnd(pageSize, zyfyqdPageIndex, totalNum);
			if (loadZyfyqdEnd) {
				$("#zyfyqd_infos").append(getSuccessHtml('数据已全部加载完成'));
				$("#zyfyqd_more").hide();
			} else
//				$("#zyfyqd_more").show();
			zyfyqdPageIndex++;
			isZyfyqdLoading = false;
		},
		error : function(XMLHttpRequest, textStatus, errorThrown) {
			//$("#zyfyqd_infos").html(getErrorHtml("访问服务器出错, 错误编码："+XMLHttpRequest.status));
			$("#zyfyqd_infos").html(getErrorHtml());
			$("#zyfyqd_more").hide();
		},
		complete : function(XMLHttpRequest, textStatus) {
			loading_hide();
		}
	});
}

function zyfyqdScrollHandler() {
	if (loadZyfyqdEnd || isZyfyqdLoading)
		return;
	queryZyfyqd();
}


function zyfycxScrollHandler() {
	if (loadZyfycxEnd || isZyfycxLoading)
		return;
	queryZyfycx();
}

function setZyfycxConditionDate() {
	var theme = "android-ics light", display = "bottom";
    	if (browser.versions.android) {
    		theme = "android-ics light";
    	} else if (browser.versions.iPad) {
    		theme = "ios";
    	} else if (browser.versions.iPhone) {
    		theme = "ios";
    		display = "bottom";
    	}

	$('#zyfycx_aae030, #zyfycx_aae031').mobiscroll().date({
		theme : theme,
		lang : 'zh',
		display : display,
		mode : 'scroller',
		dateOrder : 'yymmdd',
		dateFormat : 'yy-mm-dd',
		showOnFocus : false
	});
}

function checkZyfycxQueryCondition(aae030, aae031) {
	if (aae030 == "") {
		$("#zyfycx_infos").html(getErrorHtml('开始时间不能为空'));
		return false;
	}
	if (aae031 == "") {
		$("#zyfycx_infos").html(getErrorHtml('截止时间不能为空'));
		return false;
	}
	
	if (aae030 > aae031) {
		$("#zyfycx_infos").html(getErrorHtml('开始时间不能大于截止时间'));
		return false;
	}
	
	return true;
}